package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 储备项目带电作业信息表
 * @author: 王强
 * @create: 2022-07-20 10:40
 **/
public class ReserveElectricityWork extends DataEntity<ReserveElectricityWork> {

    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String costEstimate;             //费用估算
    private String basicRemarks;             //备注
    private String reserveProgress;          //储备进度
    private String implementPlan;            //是否纳入实施计划
    private String implementBatch;           //初定实施批次
    private String teansFormerOrPackageProject;     //是否变压器或打包项目
    private String packageProject;           //是否打包项目
    private String packageItemQuantity;      //打包项目设备数量
    private String deviceName;               //设备名称
    private String workWithElectricity;      //是否带电作业
    private String electricityTypeNumber;    //带电作业类型编号
    private String electricityWorkNumber;    //带电作业次数
    private String noStopWorkPlan;           //不停电作业方案
    private String reasonsForNotWorkInterruption;  //无法不停电作业原因
    private String powerOutagePlan;          //停电作业方案
    private String planner;                  //方案编制人
    private String siteSurveyor;             //现场查勘人

    @ExcelField(title="项目年份", align=2, sort=1)
    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    @ExcelField(title="项目性质", align=2, sort=2)
    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    @ExcelField(title="需求单位", align=2, sort=3)
    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    @ExcelField(title="区域", align=2, sort=4)
    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    @ExcelField(title="项目分组", align=2, sort=5)
    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    @ExcelField(title="储备批次", align=2, sort=6)
    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    @ExcelField(title="供电区域", align=2, sort=7)
    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    @ExcelField(title="网格编号", align=2, sort=8)
    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    @ExcelField(title="单元格编号", align=2, sort=9)
    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    @ExcelField(title="项目储备编号", align=2, sort=10)
    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    @ExcelField(title="项目名称", align=2, sort=11)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="建设必要性及内容", align=2, sort=12)
    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    @ExcelField(title="变电站名称", align=2, sort=13)
    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    @ExcelField(title="线路名称", align=2, sort=14)
    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    @ExcelField(title="网架项目划分", align=2, sort=15)
    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    @ExcelField(title="需求类型", align=2, sort=16)
    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    @ExcelField(title="费用估算", align=2, sort=17)
    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    @ExcelField(title="备注", align=2, sort=18)
    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    @ExcelField(title="储备进度", align=2, sort=19)
    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    @ExcelField(title="是否纳入实施计划", align=2, sort=20)
    public String getImplementPlan() {
        return implementPlan;
    }

    public void setImplementPlan(String implementPlan) {
        this.implementPlan = implementPlan;
    }

    @ExcelField(title="初定实施批次", align=2, sort=21)
    public String getImplementBatch() {
        return implementBatch;
    }

    public void setImplementBatch(String implementBatch) {
        this.implementBatch = implementBatch;
    }

    @ExcelField(title="是否变压器或打包项目", align=2, sort=22)
    public String getTeansFormerOrPackageProject() {
        return teansFormerOrPackageProject;
    }

    public void setTeansFormerOrPackageProject(String teansFormerOrPackageProject) {
        this.teansFormerOrPackageProject = teansFormerOrPackageProject;
    }

    @ExcelField(title="是否打包项目", align=2, sort=23)
    public String getPackageProject() {
        return packageProject;
    }

    public void setPackageProject(String packageProject) {
        this.packageProject = packageProject;
    }

    @ExcelField(title="打包项目设备数量", align=2, sort=24)
    public String getPackageItemQuantity() {
        return packageItemQuantity;
    }

    public void setPackageItemQuantity(String packageItemQuantity) {
        this.packageItemQuantity = packageItemQuantity;
    }

    @ExcelField(title="设备名称", align=2, sort=25)
    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    @ExcelField(title="是否带电作业", align=2, sort=26)
    public String getWorkWithElectricity() {
        return workWithElectricity;
    }

    public void setWorkWithElectricity(String workWithElectricity) {
        this.workWithElectricity = workWithElectricity;
    }

    @ExcelField(title="带电作业类型编号", align=2, sort=27)
    public String getElectricityTypeNumber() {
        return electricityTypeNumber;
    }

    public void setElectricityTypeNumber(String electricityTypeNumber) {
        this.electricityTypeNumber = electricityTypeNumber;
    }

    @ExcelField(title="带电作业次数", align=2, sort=28)
    public String getElectricityWorkNumber() {
        return electricityWorkNumber;
    }

    public void setElectricityWorkNumber(String electricityWorkNumber) {
        this.electricityWorkNumber = electricityWorkNumber;
    }

    @ExcelField(title="不停电作业方案", align=2, sort=29)
    public String getNoStopWorkPlan() {
        return noStopWorkPlan;
    }

    public void setNoStopWorkPlan(String noStopWorkPlan) {
        this.noStopWorkPlan = noStopWorkPlan;
    }

    @ExcelField(title="无法不停电作业原因", align=2, sort=30)
    public String getReasonsForNotWorkInterruption() {
        return reasonsForNotWorkInterruption;
    }

    public void setReasonsForNotWorkInterruption(String reasonsForNotWorkInterruption) {
        this.reasonsForNotWorkInterruption = reasonsForNotWorkInterruption;
    }

    @ExcelField(title="停电作业方案", align=2, sort=31)
    public String getPowerOutagePlan() {
        return powerOutagePlan;
    }

    public void setPowerOutagePlan(String powerOutagePlan) {
        this.powerOutagePlan = powerOutagePlan;
    }

    @ExcelField(title="方案编制人", align=2, sort=32)
    public String getPlanner() {
        return planner;
    }

    public void setPlanner(String planner) {
        this.planner = planner;
    }

    @ExcelField(title="现场查勘人", align=2, sort=33)
    public String getSiteSurveyor() {
        return siteSurveyor;
    }

    public void setSiteSurveyor(String siteSurveyor) {
        this.siteSurveyor = siteSurveyor;
    }
}
