package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 储备项目政策处理信息表
 * @author: 王强
 * @create: 2022-07-20 10:49
 **/
public class ReservePolicyHand extends DataEntity<ReservePolicyHand> {


    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String costEstimate;             //费用估算
    private String basicRemarks;             //备注
    private String reserveProgress;          //储备进度
    private String implementPlan;            //是否纳入实施计划  从6中读取
    private String intendBatch;              //拟实施批次       从6中读取
    private String powerSupplyArea;          //供电所辖区
    private String constructionSpot;         //施工地点
    private String includeCivilWork;         //是否含土建工作量
    private String poleWorkload;             //是否含立杆工作量
    private String projectManager;           //项目经理         从1中读取
    private String proposedConstructionUnit; //拟定施工单位
    private String overToGovernment;         //是否移交政处单位图纸
    private String governmentOffice;         //是否存在政处
    private String officeDescription;        //政处描述
    private String administrativeDifficulty; //政处难度
    private String administrativeObjectNumber;  //政处对象数量
    private String propertyUnitOfficeDescription;//政处对象描述（产权单位）
    private String officeType;               //政处类型
    private String startOfficeTime;          //启动政处时间
    private String planApprovalRequire;      //是否需规划报批
    private String planApprovalCompletion;   //规划报批完成情况
    private String safetyReview;             //是否需办理安评航评手续
    private String safetyReviewCompletion;   //安评完成情况
    private String officeAmount;             //政处对象金额
    private String paymentCompleted;         //是否完成付款
    private String officeProgress;           //政处进度
    private String civilEngineeringApproach; //是否允许土建进场
    private String electricApproach;         //是否允许电气进场
    private String civilConstructionMaterialOpen;   //是否允许开土建领料单
    private String electricalPickListOpen;          //是否允许开电气领料单
    private String administrativeOfficeRemark;      //政处进度-备注

    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getImplementPlan() {
        return implementPlan;
    }

    public void setImplementPlan(String implementPlan) {
        this.implementPlan = implementPlan;
    }

    public String getIntendBatch() {
        return intendBatch;
    }

    public void setIntendBatch(String intendBatch) {
        this.intendBatch = intendBatch;
    }

    public String getPowerSupplyArea() {
        return powerSupplyArea;
    }

    public void setPowerSupplyArea(String powerSupplyArea) {
        this.powerSupplyArea = powerSupplyArea;
    }

    public String getConstructionSpot() {
        return constructionSpot;
    }

    public void setConstructionSpot(String constructionSpot) {
        this.constructionSpot = constructionSpot;
    }

    public String getIncludeCivilWork() {
        return includeCivilWork;
    }

    public void setIncludeCivilWork(String includeCivilWork) {
        this.includeCivilWork = includeCivilWork;
    }

    public String getPoleWorkload() {
        return poleWorkload;
    }

    public void setPoleWorkload(String poleWorkload) {
        this.poleWorkload = poleWorkload;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getProposedConstructionUnit() {
        return proposedConstructionUnit;
    }

    public void setProposedConstructionUnit(String proposedConstructionUnit) {
        this.proposedConstructionUnit = proposedConstructionUnit;
    }

    public String getOverToGovernment() {
        return overToGovernment;
    }

    public void setOverToGovernment(String overToGovernment) {
        this.overToGovernment = overToGovernment;
    }

    public String getGovernmentOffice() {
        return governmentOffice;
    }

    public void setGovernmentOffice(String governmentOffice) {
        this.governmentOffice = governmentOffice;
    }

    public String getOfficeDescription() {
        return officeDescription;
    }

    public void setOfficeDescription(String officeDescription) {
        this.officeDescription = officeDescription;
    }

    public String getAdministrativeDifficulty() {
        return administrativeDifficulty;
    }

    public void setAdministrativeDifficulty(String administrativeDifficulty) {
        this.administrativeDifficulty = administrativeDifficulty;
    }

    public String getAdministrativeObjectNumber() {
        return administrativeObjectNumber;
    }

    public void setAdministrativeObjectNumber(String administrativeObjectNumber) {
        this.administrativeObjectNumber = administrativeObjectNumber;
    }

    public String getPropertyUnitOfficeDescription() {
        return propertyUnitOfficeDescription;
    }

    public void setPropertyUnitOfficeDescription(String propertyUnitOfficeDescription) {
        this.propertyUnitOfficeDescription = propertyUnitOfficeDescription;
    }

    public String getOfficeType() {
        return officeType;
    }

    public void setOfficeType(String officeType) {
        this.officeType = officeType;
    }

    public String getStartOfficeTime() {
        return startOfficeTime;
    }

    public void setStartOfficeTime(String startOfficeTime) {
        this.startOfficeTime = startOfficeTime;
    }

    public String getPlanApprovalRequire() {
        return planApprovalRequire;
    }

    public void setPlanApprovalRequire(String planApprovalRequire) {
        this.planApprovalRequire = planApprovalRequire;
    }

    public String getPlanApprovalCompletion() {
        return planApprovalCompletion;
    }

    public void setPlanApprovalCompletion(String planApprovalCompletion) {
        this.planApprovalCompletion = planApprovalCompletion;
    }

    public String getSafetyReview() {
        return safetyReview;
    }

    public void setSafetyReview(String safetyReview) {
        this.safetyReview = safetyReview;
    }

    public String getSafetyReviewCompletion() {
        return safetyReviewCompletion;
    }

    public void setSafetyReviewCompletion(String safetyReviewCompletion) {
        this.safetyReviewCompletion = safetyReviewCompletion;
    }

    public String getOfficeAmount() {
        return officeAmount;
    }

    public void setOfficeAmount(String officeAmount) {
        this.officeAmount = officeAmount;
    }

    public String getPaymentCompleted() {
        return paymentCompleted;
    }

    public void setPaymentCompleted(String paymentCompleted) {
        this.paymentCompleted = paymentCompleted;
    }

    public String getOfficeProgress() {
        return officeProgress;
    }

    public void setOfficeProgress(String officeProgress) {
        this.officeProgress = officeProgress;
    }

    public String getCivilEngineeringApproach() {
        return civilEngineeringApproach;
    }

    public void setCivilEngineeringApproach(String civilEngineeringApproach) {
        this.civilEngineeringApproach = civilEngineeringApproach;
    }

    public String getElectricApproach() {
        return electricApproach;
    }

    public void setElectricApproach(String electricApproach) {
        this.electricApproach = electricApproach;
    }

    public String getCivilConstructionMaterialOpen() {
        return civilConstructionMaterialOpen;
    }

    public void setCivilConstructionMaterialOpen(String civilConstructionMaterialOpen) {
        this.civilConstructionMaterialOpen = civilConstructionMaterialOpen;
    }

    public String getElectricalPickListOpen() {
        return electricalPickListOpen;
    }

    public void setElectricalPickListOpen(String electricalPickListOpen) {
        this.electricalPickListOpen = electricalPickListOpen;
    }

    public String getAdministrativeOfficeRemark() {
        return administrativeOfficeRemark;
    }

    public void setAdministrativeOfficeRemark(String administrativeOfficeRemark) {
        this.administrativeOfficeRemark = administrativeOfficeRemark;
    }
}
