package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 储备项目基本信息表
 * @author: 王强
 * @create: 2022-07-20 10:08
 **/
public class ReserveProcessProject extends DataEntity<ReserveProcessProject> {


    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String costEstimate;             //费用估算
    private String basicRemarks;             //备注
    private String requester;                //需求提报人
    private String ownerReserveFullTime;     //业主储备专职
    private String ownerDistributionNerworkFullTime;           //业主配网专职
    private String ownerProjectManager;      //业主项目经理
    private String technicalStaff;           //技经人员
    private String operationAndMaintenancePersonnel;           //运维人员
    private String designer;                 //设计人员
    private String budgetPreparer;           //概算编制人员
    private String uninterruptedWorkSurveyPersonnel;           //不停电作业查勘人员

    @ExcelField(title="项目年份", align=2, sort=1)
    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    @ExcelField(title="项目性质", align=2, sort=2)
    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    @ExcelField(title="需求单位", align=2, sort=3)
    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    @ExcelField(title="区域", align=2, sort=4)
    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }
    @ExcelField(title="项目分组", align=2, sort=5)
    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }
    @ExcelField(title="储备批次", align=2, sort=6)
    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }
    @ExcelField(title="供电区域", align=2, sort=7)
    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }
    @ExcelField(title="网格编号", align=2, sort=8)
    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }
    @ExcelField(title="单元格编号", align=2, sort=9)
    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }
    @ExcelField(title="项目储备编号", align=2, sort=10)
    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }
    @ExcelField(title="项目名称", align=2, sort=11)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
    @ExcelField(title="建设必要性及内容", align=2, sort=12)
    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }
    @ExcelField(title="变电站名称", align=2, sort=13)
    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }
    @ExcelField(title="线路名称", align=2, sort=14)
    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }
    @ExcelField(title="网架项目划分", align=2, sort=15)
    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }
    @ExcelField(title="需求类型", align=2, sort=16)
    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }
    @ExcelField(title="费用估算", align=2, sort=17)
    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }
    @ExcelField(title="备注", align=2, sort=18)
    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }
    @ExcelField(title="需求提报人", align=2, sort=19)
    public String getRequester() {
        return requester;
    }

    public void setRequester(String requester) {
        this.requester = requester;
    }
    @ExcelField(title="业主储备专职", align=2, sort=20)
    public String getOwnerReserveFullTime() {
        return ownerReserveFullTime;
    }

    public void setOwnerReserveFullTime(String ownerReserveFullTime) {
        this.ownerReserveFullTime = ownerReserveFullTime;
    }
    @ExcelField(title="业主配网专职", align=2, sort=21)
    public String getOwnerDistributionNerworkFullTime() {
        return ownerDistributionNerworkFullTime;
    }

    public void setOwnerDistributionNerworkFullTime(String ownerDistributionNerworkFullTime) {
        this.ownerDistributionNerworkFullTime = ownerDistributionNerworkFullTime;
    }
    @ExcelField(title="业主项目经理", align=2, sort=22)
    public String getOwnerProjectManager() {
        return ownerProjectManager;
    }

    public void setOwnerProjectManager(String ownerProjectManager) {
        this.ownerProjectManager = ownerProjectManager;
    }
    @ExcelField(title="技经人员", align=2, sort=23)
    public String getTechnicalStaff() {
        return technicalStaff;
    }

    public void setTechnicalStaff(String technicalStaff) {
        this.technicalStaff = technicalStaff;
    }
    @ExcelField(title="运维人员", align=2, sort=24)
    public String getOperationAndMaintenancePersonnel() {
        return operationAndMaintenancePersonnel;
    }

    public void setOperationAndMaintenancePersonnel(String operationAndMaintenancePersonnel) {
        this.operationAndMaintenancePersonnel = operationAndMaintenancePersonnel;
    }
    @ExcelField(title="设计人员", align=2, sort=25)
    public String getDesigner() {
        return designer;
    }

    public void setDesigner(String designer) {
        this.designer = designer;
    }
    @ExcelField(title="概算编制人员", align=2, sort=26)
    public String getBudgetPreparer() {
        return budgetPreparer;
    }

    public void setBudgetPreparer(String budgetPreparer) {
        this.budgetPreparer = budgetPreparer;
    }
    @ExcelField(title="不停电作业查勘人", align=2, sort=27)
    public String getUninterruptedWorkSurveyPersonnel() {
        return uninterruptedWorkSurveyPersonnel;
    }

    public void setUninterruptedWorkSurveyPersonnel(String uninterruptedWorkSurveyPersonnel) {
        this.uninterruptedWorkSurveyPersonnel = uninterruptedWorkSurveyPersonnel;
    }
}
