package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 储备项目安全交底信息表
 * @author: 王强
 * @create: 2022-07-20 13:30
 **/
public class ReserveSafety extends DataEntity<ReserveSafety> {

    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectReserveId;        //项目储备编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String costEstimate;             //费用估算
    private String basicRemarks;             //备注
    private String reserveProgress;          //储备进度
    private String transmissionWork;         //是否临近（交叉）输电线路作业（含土建）
    private String workDescribe;             //是否临近（交叉）输电线路作业（含土建） 描述
    private String transmissionErection;     //是否与输电线路同杆架设
    private String erecteDescribe;           //是否与输电线路同杆架设   描述
    private String transmissionCommonTrench; //是否与输电线路共沟
    private String trenchDescribe;           //是否与输电线路共沟    描述
    private String mediumVoltageWork;        //是否临近带电中压线路作业
    private String voltageWorkDescribe;      //是否临近带电中压线路作业     描述
    private String confineSpaceWork;         //是否有限空间作业
    private String spaceDescribe;            //是否有限空间作业     描述
    private String subStationCableBonding;   //是否存在变电站出线电缆搭接-是
    private String cableDescribe;            //是否存在变电站出线电缆搭接-是  描述
    private String roadRailwaysAndWaterwaysWork;       //是否存在跨越公路、铁路、航道作业
    private String waterDescribe;            //是否存在跨越公路、铁路、航道作业   描述
    private String hotWork;                  //是否存在动火作业
    private String hotWorkDescribe;          //是否存在动火作业     描述
    private String blackoutLineFour;         //是否需停电四条以上线路
    private String lineFourDescribe;         //是否需停电四条以上线路      描述
    private String lineLoadRedirectionThree; //是否三条以上线路负荷改接
    private String threeRedirectDescribe;    //是否三条以上线路负荷改接     描述
    private String largeScaleMultiTeamWork;  //是否多专业、多班组大型作业
    private String teamWorkDescribe;         //是否多专业、多班组大型作业    描述
    private String prepareThreeMeasures;     //是否需编制三措
    private String measureDescribe;          //是否需编制三措      描述
    private String jobRiskLevelPrediction;   //作业风险等级预判

    @ExcelField(title="项目年份", align=2, sort=1)
    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }
    @ExcelField(title="项目性质", align=2, sort=2)
    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }
    @ExcelField(title="需求单位", align=2, sort=3)
    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }
    @ExcelField(title="区域", align=2, sort=4)
    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }
    @ExcelField(title="项目分组", align=2, sort=5)
    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }
    @ExcelField(title="储备批次", align=2, sort=6)
    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }
    @ExcelField(title="供电区域", align=2, sort=7)
    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }
    @ExcelField(title="网格编号", align=2, sort=8)
    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }
    @ExcelField(title="单元格编号", align=2, sort=9)
    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }
    @ExcelField(title="项目储备编号", align=2, sort=10)
    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }
    @ExcelField(title="项目名称", align=2, sort=11)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }
    @ExcelField(title="建设必要性及内容", align=2, sort=12)
    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }
    @ExcelField(title="变电站名称", align=2, sort=13)
    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }
    @ExcelField(title="线路名称", align=2, sort=14)
    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }
    @ExcelField(title="网架项目划分", align=2, sort=15)
    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }
    @ExcelField(title="需求类型", align=2, sort=16)
    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }
    @ExcelField(title="费用估算", align=2, sort=17)
    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }
    @ExcelField(title="备注", align=2, sort=18)
    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }
    @ExcelField(title="储备进度", align=2, sort=19)
    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }
    @ExcelField(title="是否临近(交叉)输电线路作业(含土建)", align=2, sort=20)
    public String getTransmissionWork() {
        return transmissionWork;
    }

    public void setTransmissionWork(String transmissionWork) {
        this.transmissionWork = transmissionWork;
    }
    @ExcelField(title="是否临近(交叉)输电线路作业(含土建)-描述", align=2, sort=21)
    public String getWorkDescribe() {
        return workDescribe;
    }

    public void setWorkDescribe(String workDescribe) {
        this.workDescribe = workDescribe;
    }
    @ExcelField(title="是否与输电线路同杆架设", align=2, sort=22)
    public String getTransmissionErection() {
        return transmissionErection;
    }

    public void setTransmissionErection(String transmissionErection) {
        this.transmissionErection = transmissionErection;
    }
    @ExcelField(title="是否与输电线路同杆架设-描述", align=2, sort=23)
    public String getErecteDescribe() {
        return erecteDescribe;
    }

    public void setErecteDescribe(String erecteDescribe) {
        this.erecteDescribe = erecteDescribe;
    }
    @ExcelField(title="是否与输电线路共沟", align=2, sort=24)
    public String getTransmissionCommonTrench() {
        return transmissionCommonTrench;
    }

    public void setTransmissionCommonTrench(String transmissionCommonTrench) {
        this.transmissionCommonTrench = transmissionCommonTrench;
    }
    @ExcelField(title="是否与输电线路共沟-描述", align=2, sort=25)
    public String getTrenchDescribe() {
        return trenchDescribe;
    }

    public void setTrenchDescribe(String trenchDescribe) {
        this.trenchDescribe = trenchDescribe;
    }
    @ExcelField(title="是否临近带电中压线路作业", align=2, sort=26)
    public String getMediumVoltageWork() {
        return mediumVoltageWork;
    }

    public void setMediumVoltageWork(String mediumVoltageWork) {
        this.mediumVoltageWork = mediumVoltageWork;
    }
    @ExcelField(title="是否临近带电中压线路作业-描述", align=2, sort=27)
    public String getVoltageWorkDescribe() {
        return voltageWorkDescribe;
    }

    public void setVoltageWorkDescribe(String voltageWorkDescribe) {
        this.voltageWorkDescribe = voltageWorkDescribe;
    }
    @ExcelField(title="是否有限空间作业", align=2, sort=28)
    public String getConfineSpaceWork() {
        return confineSpaceWork;
    }

    public void setConfineSpaceWork(String confineSpaceWork) {
        this.confineSpaceWork = confineSpaceWork;
    }
    @ExcelField(title="是否有限空间作业-描述", align=2, sort=29)
    public String getSpaceDescribe() {
        return spaceDescribe;
    }

    public void setSpaceDescribe(String spaceDescribe) {
        this.spaceDescribe = spaceDescribe;
    }
    @ExcelField(title="是否存在变电站出线电缆搭接-是", align=2, sort=30)
    public String getSubStationCableBonding() {
        return subStationCableBonding;
    }

    public void setSubStationCableBonding(String subStationCableBonding) {
        this.subStationCableBonding = subStationCableBonding;
    }
    @ExcelField(title="是否存在变电站出线电缆搭接-是-描述", align=2, sort=31)
    public String getCableDescribe() {
        return cableDescribe;
    }

    public void setCableDescribe(String cableDescribe) {
        this.cableDescribe = cableDescribe;
    }
    @ExcelField(title="是否存在跨越公路、铁路、航道作业", align=2, sort=32)
    public String getRoadRailwaysAndWaterwaysWork() {
        return roadRailwaysAndWaterwaysWork;
    }

    public void setRoadRailwaysAndWaterwaysWork(String roadRailwaysAndWaterwaysWork) {
        this.roadRailwaysAndWaterwaysWork = roadRailwaysAndWaterwaysWork;
    }
    @ExcelField(title="是否存在跨越公路、铁路、航道作业-描述", align=2, sort=33)
    public String getWaterDescribe() {
        return waterDescribe;
    }

    public void setWaterDescribe(String waterDescribe) {
        this.waterDescribe = waterDescribe;
    }
    @ExcelField(title="是否存在动火作业", align=2, sort=34)
    public String getHotWork() {
        return hotWork;
    }

    public void setHotWork(String hotWork) {
        this.hotWork = hotWork;
    }
    @ExcelField(title="是否存在动火作业-描述", align=2, sort=35)
    public String getHotWorkDescribe() {
        return hotWorkDescribe;
    }

    public void setHotWorkDescribe(String hotWorkDescribe) {
        this.hotWorkDescribe = hotWorkDescribe;
    }
    @ExcelField(title="是否需停电四条以上线路", align=2, sort=36)
    public String getBlackoutLineFour() {
        return blackoutLineFour;
    }

    public void setBlackoutLineFour(String blackoutLineFour) {
        this.blackoutLineFour = blackoutLineFour;
    }
    @ExcelField(title="是否需停电四条以上线路-描述", align=2, sort=37)
    public String getLineFourDescribe() {
        return lineFourDescribe;
    }

    public void setLineFourDescribe(String lineFourDescribe) {
        this.lineFourDescribe = lineFourDescribe;
    }
    @ExcelField(title="是否三条以上线路负荷改接", align=2, sort=38)
    public String getLineLoadRedirectionThree() {
        return lineLoadRedirectionThree;
    }

    public void setLineLoadRedirectionThree(String lineLoadRedirectionThree) {
        this.lineLoadRedirectionThree = lineLoadRedirectionThree;
    }
    @ExcelField(title="是否三条以上线路负荷改接-描述", align=2, sort=39)
    public String getThreeRedirectDescribe() {
        return threeRedirectDescribe;
    }

    public void setThreeRedirectDescribe(String threeRedirectDescribe) {
        this.threeRedirectDescribe = threeRedirectDescribe;
    }
    @ExcelField(title="是否多专业、多班组大型作业", align=2, sort=40)
    public String getLargeScaleMultiTeamWork() {
        return largeScaleMultiTeamWork;
    }

    public void setLargeScaleMultiTeamWork(String largeScaleMultiTeamWork) {
        this.largeScaleMultiTeamWork = largeScaleMultiTeamWork;
    }
    @ExcelField(title="是否多专业、多班组大型作业-描述", align=2, sort=41)
    public String getTeamWorkDescribe() {
        return teamWorkDescribe;
    }

    public void setTeamWorkDescribe(String teamWorkDescribe) {
        this.teamWorkDescribe = teamWorkDescribe;
    }
    @ExcelField(title="是否需编制三措", align=2, sort=42)
    public String getPrepareThreeMeasures() {
        return prepareThreeMeasures;
    }

    public void setPrepareThreeMeasures(String prepareThreeMeasures) {
        this.prepareThreeMeasures = prepareThreeMeasures;
    }
    @ExcelField(title="是否需编制三措-描述", align=2, sort=43)
    public String getMeasureDescribe() {
        return measureDescribe;
    }

    public void setMeasureDescribe(String measureDescribe) {
        this.measureDescribe = measureDescribe;
    }

    public String getJobRiskLevelPrediction() {
        return jobRiskLevelPrediction;
    }

    public void setJobRiskLevelPrediction(String jobRiskLevelPrediction) {
        this.jobRiskLevelPrediction = jobRiskLevelPrediction;
    }
}
