package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ScaleDetails;

/**
 * 储备流程实体类
 * @author: 王强
 * @create: 2022-08-03 09:02
 **/
public class ReserveSummaryProcess extends ActEntity<ReserveSummaryProcess> {
    /**
     * 储备项目编号
     * */
    private String projectReserveId;

    /**
     * 项目名称
     * */
    private String projectName;

    /**
     * 储备项目基础数据
     */
    private ReserveSummary reserveSummary;


    /**
     * 预算问题反馈记录
     */
    private FeedBackBudget feedBackBudget;


    /**
     * 预算书
     * */
    private String budgetStatement;
    /**
     * 项目建议书
     * */
    private String projectProposal;
    /**
     * 图纸
     * */
    private String drawings;
    /**
     * 甲供材清册
     * */
    private ScaleDetails scaleDetails;
    /**
     * 施工图设计说明书
     * */
    private String drawingSpecification;

    /**
     * 拆旧材料清册
     */
    private String demolition;
    //预算书审前审后数据
    private String pretrialBudgetTaxInclude;                //审前概算（含税）
    private String pretrialBudgetTaxNoInclude;              //审前概算（不含税）
    private String pretrialSupervisionFeeTaxNoInclude;      //审前监理费（不含税）
    private String pretrialDesignFeeTaxNoInclude;           //审前设计费（不含税）
    private String afterTrialBudgetTaxInclude;              //审后概算（含税）
    private String afterTrialBudgetTaxNoInclude;            //审后概算（不含税）
    private String afterTrialSupervisionFeeTaxNoInclude;    //审后监理费（不含税）
    private String afterTrialDesignFeeTaxNoInclude;         //审后设计费（不含税）

    //预算问题反馈记录
    private String preferedCase;                         //甲供材优选情况
    private String transferSituation;                    //甲供转乙供情况
    private String budgetTemplateCheck;                  //预算模板核对
    private String quotaApplicationCheck;                //定额套用核对
    private String workLoadCheck;                        //工作流核对
    private String checkTheFee;                          //取费核对
    private String supplyCheck;                          //甲供物资核对
    private String materialCheck;                        //乙供物资核对
    private String liveWorkFeeCheck;                     //带电作业费核对
    private String demolitionEngineeringProblems;        //拆除工程问题
    private String otherProblem;                         //其他问题

    public String getPreferedCase() {
        return preferedCase;
    }

    public void setPreferedCase(String preferedCase) {
        this.preferedCase = preferedCase;
    }

    public String getTransferSituation() {
        return transferSituation;
    }

    public void setTransferSituation(String transferSituation) {
        this.transferSituation = transferSituation;
    }

    public String getBudgetTemplateCheck() {
        return budgetTemplateCheck;
    }

    public void setBudgetTemplateCheck(String budgetTemplateCheck) {
        this.budgetTemplateCheck = budgetTemplateCheck;
    }

    public String getQuotaApplicationCheck() {
        return quotaApplicationCheck;
    }

    public void setQuotaApplicationCheck(String quotaApplicationCheck) {
        this.quotaApplicationCheck = quotaApplicationCheck;
    }

    public String getWorkLoadCheck() {
        return workLoadCheck;
    }

    public void setWorkLoadCheck(String workLoadCheck) {
        this.workLoadCheck = workLoadCheck;
    }

    public String getCheckTheFee() {
        return checkTheFee;
    }

    public void setCheckTheFee(String checkTheFee) {
        this.checkTheFee = checkTheFee;
    }

    public String getSupplyCheck() {
        return supplyCheck;
    }

    public void setSupplyCheck(String supplyCheck) {
        this.supplyCheck = supplyCheck;
    }

    public String getMaterialCheck() {
        return materialCheck;
    }

    public void setMaterialCheck(String materialCheck) {
        this.materialCheck = materialCheck;
    }

    public String getLiveWorkFeeCheck() {
        return liveWorkFeeCheck;
    }

    public void setLiveWorkFeeCheck(String liveWorkFeeCheck) {
        this.liveWorkFeeCheck = liveWorkFeeCheck;
    }

    public String getDemolitionEngineeringProblems() {
        return demolitionEngineeringProblems;
    }

    public void setDemolitionEngineeringProblems(String demolitionEngineeringProblems) {
        this.demolitionEngineeringProblems = demolitionEngineeringProblems;
    }

    public String getOtherProblem() {
        return otherProblem;
    }

    public void setOtherProblem(String otherProblem) {
        this.otherProblem = otherProblem;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public ReserveSummary getReserveSummary() {
        return reserveSummary;
    }

    public void setReserveSummary(ReserveSummary reserveSummary) {
        this.reserveSummary = reserveSummary;
    }

    public FeedBackBudget getFeedBackBudget() {
        return feedBackBudget;
    }

    public void setFeedBackBudget(FeedBackBudget feedBackBudget) {
        this.feedBackBudget = feedBackBudget;
    }

    public String getBudgetStatement() {
        return budgetStatement;
    }

    public void setBudgetStatement(String budgetStatement) {
        this.budgetStatement = budgetStatement;
    }

    public String getProjectProposal() {
        return projectProposal;
    }

    public void setProjectProposal(String projectProposal) {
        this.projectProposal = projectProposal;
    }

    public String getDrawings() {
        return drawings;
    }

    public void setDrawings(String drawings) {
        this.drawings = drawings;
    }

    public ScaleDetails getScaleDetails() {
        return scaleDetails;
    }

    public void setScaleDetails(ScaleDetails scaleDetails) {
        this.scaleDetails = scaleDetails;
    }

    public String getDrawingSpecification() {
        return drawingSpecification;
    }

    public void setDrawingSpecification(String drawingSpecification) {
        this.drawingSpecification = drawingSpecification;
    }

    public String getDemolition() {
        return demolition;
    }

    public void setDemolition(String demolition) {
        this.demolition = demolition;
    }

    public String getPretrialBudgetTaxInclude() {
        return pretrialBudgetTaxInclude;
    }

    public void setPretrialBudgetTaxInclude(String pretrialBudgetTaxInclude) {
        this.pretrialBudgetTaxInclude = pretrialBudgetTaxInclude;
    }

    public String getPretrialBudgetTaxNoInclude() {
        return pretrialBudgetTaxNoInclude;
    }

    public void setPretrialBudgetTaxNoInclude(String pretrialBudgetTaxNoInclude) {
        this.pretrialBudgetTaxNoInclude = pretrialBudgetTaxNoInclude;
    }

    public String getPretrialSupervisionFeeTaxNoInclude() {
        return pretrialSupervisionFeeTaxNoInclude;
    }

    public void setPretrialSupervisionFeeTaxNoInclude(String pretrialSupervisionFeeTaxNoInclude) {
        this.pretrialSupervisionFeeTaxNoInclude = pretrialSupervisionFeeTaxNoInclude;
    }

    public String getPretrialDesignFeeTaxNoInclude() {
        return pretrialDesignFeeTaxNoInclude;
    }

    public void setPretrialDesignFeeTaxNoInclude(String pretrialDesignFeeTaxNoInclude) {
        this.pretrialDesignFeeTaxNoInclude = pretrialDesignFeeTaxNoInclude;
    }

    public String getAfterTrialBudgetTaxInclude() {
        return afterTrialBudgetTaxInclude;
    }

    public void setAfterTrialBudgetTaxInclude(String afterTrialBudgetTaxInclude) {
        this.afterTrialBudgetTaxInclude = afterTrialBudgetTaxInclude;
    }

    public String getAfterTrialBudgetTaxNoInclude() {
        return afterTrialBudgetTaxNoInclude;
    }

    public void setAfterTrialBudgetTaxNoInclude(String afterTrialBudgetTaxNoInclude) {
        this.afterTrialBudgetTaxNoInclude = afterTrialBudgetTaxNoInclude;
    }

    public String getAfterTrialSupervisionFeeTaxNoInclude() {
        return afterTrialSupervisionFeeTaxNoInclude;
    }

    public void setAfterTrialSupervisionFeeTaxNoInclude(String afterTrialSupervisionFeeTaxNoInclude) {
        this.afterTrialSupervisionFeeTaxNoInclude = afterTrialSupervisionFeeTaxNoInclude;
    }

    public String getAfterTrialDesignFeeTaxNoInclude() {
        return afterTrialDesignFeeTaxNoInclude;
    }

    public void setAfterTrialDesignFeeTaxNoInclude(String afterTrialDesignFeeTaxNoInclude) {
        this.afterTrialDesignFeeTaxNoInclude = afterTrialDesignFeeTaxNoInclude;
    }
}
