package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReservePolicyHand;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目政策处理信息 mapper
 * @author: 王强
 * @create: 2022-07-27 08:43
 **/
@MyBatisMapper
public interface PolicyHandingMapper extends BaseMapper<ReservePolicyHand> {

    /**
     * 根据项目储备id查询项目信息
     * @param reserveManagement
     * @return
     */
    ReservePolicyHand queryByProjectReserveId(ReservePolicyHand reserveManagement);


    /**
     * 批量添加项目储备信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ReservePolicyHand> list);

    /**
     * 导出数据查询
     * @param reserveManagement
     * @return
     */
    List<ReservePolicyHand> exportFindList(ReservePolicyHand reserveManagement);
}
