package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveElectricityWork;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveProcessProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目带电作业信息 mapper
 * @author: 王强
 * @create: 2022-07-22 09:07
 **/
@MyBatisMapper
public interface ReserveElectricityWorkMapper extends BaseMapper<ReserveElectricityWork> {

    /**
     * 根据项目储备id查询项目信息
     * @param reserveManagement
     * @return
     */
    ReserveElectricityWork queryByProjectReserveId(ReserveElectricityWork reserveManagement);

    /**
     * 批量添加项目储备信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ReserveElectricityWork> list);

    /**
     * 导出数据查询
     * @param reserveManagement
     * @return
     */
    List<ReserveElectricityWork> exportFindList(ReserveElectricityWork reserveManagement);
}
