package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReservePreconstruction;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveSafety;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目预土建制化信息 mapper
 * @author: 王强
 * @create: 2022-07-26 09:42
 **/
@MyBatisMapper
public interface ReservePreconstructMapper extends BaseMapper<ReservePreconstruction> {

    /**
     * 根据项目储备id查询项目信息
     * @param reserveManagement
     * @return
     */
    ReservePreconstruction queryByProjectReserveId(ReservePreconstruction reserveManagement);

    /**
     * 批量添加项目储备信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ReservePreconstruction> list);

    /**
     * 导出数据查询
     * @param reserveManagement
     * @return
     */
    List<ReservePreconstruction> exportFindList(ReservePreconstruction reserveManagement);
}
