package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveProcessProject;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveSafety;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目基本信息 mapper
 * @author: 王强
 * @create: 2022-07-20 15:03
 **/
@MyBatisMapper
public interface ReserveProcessProjectMapper extends BaseMapper<ReserveProcessProject> {

    /**
     * 查看数据库唯一性判断字段值
     * @return
     */
    List<String> repeatList();
    /**
     * 根据项目储备id查询项目信息
     * @param reserveManagement
     * @return
     */
    ReserveProcessProject queryByProjectReserveId(ReserveProcessProject reserveManagement);

    /**
     * 根据项目储备id查询项目信息
     * @param projectReserveId
     * @return
     */
    ReserveProcessProject queryByProjectId(String projectReserveId);

    /**
     * 根据项目储备id查询项目信息
     * @param projectReserveId 项目储备id
     * @return
     * */
    Integer findByProjectId(String projectReserveId);

    /**
     * 经理修改
     * @param reserveManagement
     */
    void updatejl(ReserveProcessProject reserveManagement);

    /**
     * 修改方案交底结论
     * @param scheme
     */
    void updateScheme(ReserveProcessProject scheme);


    /**
     * 批量添加项目储备信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ReserveProcessProject> list);

    /**
     * 导出数据查询
     * @param reserveManagement
     * @return
     */
    List<ReserveProcessProject> exportFindList(ReserveProcessProject reserveManagement);

    /**
     * 方案交底结论信息查询
     * @param reserveManagement 查询条件
     * @return 查询结果
     * */
    List<ReserveProcessProject> findModuleList(ReserveProcessProject reserveManagement);


    /**
     * 方案交底结论信息数据导出
     * @param safety 查询条件
     * @return 查询结果
     * */
    List<ReserveSafety> exportModuleList(ReserveSafety safety);

    /**
     * 通过项目名称查询对应项目信息
     * */
    ReserveProcessProject findByName(String projectName);

    /**
     * 通过流程定义号查询储备项目基础信息
     * */
    ReserveProcessProject findByProcInsId(String procInsId);

    /**
     * 通过key获取相同key的最新版本号，通过key和版本号获取流程id
     * @return 流程对应id
     * @param key 流程定义表key标识
     * */
    String findDefId(String key);

    /**
     * 通过流程定实例id查询储备人员信息
     * @return 人员流转信息
     * @param procInsId 流程实例id
     * */
    ReserveProcessProject findCgUser(String procInsId);
}
