package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveSafety;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目安全交底信息表 mapper
 * @author: 王强
 * @create: 2022-07-25 08:45
 **/
@MyBatisMapper
public interface ReserveSafeDisclosureMapper extends BaseMapper<ReserveSafety> {

    /**
     * 根据项目储备id查询项目信息
     * @param reserveManagement
     * @return
     */
    ReserveSafety queryByProjectReserveId(ReserveSafety reserveManagement);

    /**
     * 批量添加项目储备信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ReserveSafety> list);

    /**
     * 导出数据查询
     * @param reserveManagement
     * @return
     */
    List<ReserveSafety> exportFindList(ReserveSafety reserveManagement);
}
