package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveSummaryProcess;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-08-03 10:13
 **/
@MyBatisMapper
public interface ReserveSummaryProcessMapper extends BaseMapper<ReserveSummaryProcess> {

    /**
     * 通过procInsId查询项目定义号
     * */
    String findProjectId(ReserveSummaryProcess reserveProcess);

    /**
     * 通过项目名称删除对应甲供材信息数据
     * */
    void deleteMaterial(String projectName);

    /**
     * 插入对应的项目甲供材信息
     * */
    void insertList(@Param("list") List<MaterialInfo> list);

    /**
     * 通过储备项目编号查询项目是否有甲供材清册
     */
    Integer findMaterialData(String procInsId);

    /**
     * 修改项目设计单位信息
     * */
    void updateDesign(ReserveSummaryProcess reserveProcess);

    /**
     * 通过流程定义号删除流程对应信息
     * */
    void deleteAct(String projectReserveId);

    /**
     * 储备文件管理，
     */
    List<ReserveSummaryProcess> findAllUpload(ReserveSummaryProcess reserveProcess);

    /**
     * 储备流程当前流程所有的甲供材数据
     */
    List<MaterialInfo> findMaterialList(MaterialInfo entity);

    /**
     * 通过项目名称导出符合条件的数据
     * */
    List<MaterialInfo> findMaterialActiviti(String projectName);
}
