package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveSummary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目交底信息汇总统计 mapper
 * @author: 王强
 * @create: 2022-07-27 11:06
 **/
@MyBatisMapper
public interface SummaryStatisticMapper extends BaseMapper<ReserveSummary> {

    /**
     * 根据项目储备id查询项目信息
     * @param reserveManagement
     * @return
     */
    ReserveSummary queryByProjectReserveId(ReserveSummary reserveManagement);


    /**
     * 批量添加项目储备信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ReserveSummary> list);

    /**
     * 导出数据查询
     * @param reserveManagement
     * @return
     */
    List<ReserveSummary> exportFindList(ReserveSummary reserveManagement);
}
