package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.service;

import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.BudgetBook;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper.BudgetBookMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 预算书审前审后数据
 * @author: 王强
 * @create: 2022-08-10 15:21
 **/
@Service
@Transactional(readOnly = true)
public class BudgetBookService extends CrudService<BudgetBookMapper, BudgetBook> {

    @Autowired
    private BudgetBookMapper dao;

    /**
     * 新增方法
     * @param entity
     */
    @Transactional(readOnly = false)
    public void save(BudgetBook entity) {
        entity.preInsert();
        mapper.insert(entity);
    }

    @Transactional(readOnly = false)
    public void deleteByProjectReserveId(String projectReserveId){
        dao.deleteByProjectReserveId(projectReserveId);
    }

}
