package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.service;

import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.Demolite;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper.DemoliteMapper;
import org.activiti.engine.TaskService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-08-04 17:49
 **/
@Service
@Transactional(readOnly = true)
public class DemoliteService extends CrudService<DemoliteMapper, Demolite> {

    @Autowired
    private DemoliteMapper dao;

    @Autowired
    private TaskService taskService;

    @Transactional(readOnly = false)
    public void insertList(@Param("list") List<Demolite> list){
        for(Demolite maintainData : list){
            maintainData.preInsert();
        }
        dao.insertList(list);
    }

    @Transactional(readOnly = false)
    public void deleteByProjectReserveId(String projectReserveId){
        dao.deleteByProjectReserveId(projectReserveId);
    }

}
