package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.service;

import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.MaterialSupply;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper.MaterialSupplyMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-08-12 17:06
 **/
@Service
@Transactional(readOnly = true)
public class MaterialSupplyService extends CrudService<MaterialSupplyMapper, MaterialSupply> {

    @Autowired
    private MaterialSupplyMapper dao;

    @Transactional(readOnly = false)
    public void insertList(@Param("list") List<MaterialSupply> list){
        for(MaterialSupply maintainData : list){
            maintainData.preInsert();
        }
        dao.insertList(list);
    }

    @Transactional(readOnly = false)
    public void deleteByProjectReserveId(String projectReserveId){
        dao.deleteByProjectReserveId(projectReserveId);
    }

}
