package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.utils;

import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.*;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ExportScheme;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ReserveManagement;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFCellStyle;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.net.URLEncoder;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

public class ReserveProcessProjectExportUtil {

    private  XSSFCellStyle style = null;

    public static ReserveProcessProjectExportUtil getOne(){

        return new ReserveProcessProjectExportUtil();
    }

    /**
     * 传入excel模板名称 获取workbook对象
     * @param fileName excel模板名称
     * @return
     */
    public  XSSFWorkbook getWorkbook(String fileName){
        InputStream inputStream = null;
        XSSFWorkbook workbook = null;
        try {
            File file = new File(this.getClass().getResource("/").getPath() + "/freemarker/excelmodel/"+fileName+".xlsx");
            inputStream = new FileInputStream(file);// 将excel文件转为输入流
            workbook = new XSSFWorkbook(inputStream);// 创建个workbook，
        } catch (Exception e) {
            e.printStackTrace();
        }
        return workbook;
    }

    /**
     * 导出储备项目基本信息
     * @param response
     * @param workbook
     * @param list
     */
    public void exportBasic(HttpServletResponse response, XSSFWorkbook workbook, List<ReserveProcessProject> list){
        try {
            int index = 1;//第一列序号
            int rowNum = 3;//数据起始列
            Sheet sheet = workbook.getSheetAt(0);
            for(int i=0;i<list.size();i++){
                Row row = sheet.createRow(rowNum+i);
                Cell cell0 = crateCell(workbook,row,0); //序号
                Cell cell1 = crateCell(workbook,row,1); //项目年份
                Cell cell2 = crateCell(workbook,row,2); //项目性质
                Cell cell3 = crateCell(workbook,row,3); //需求单位
                Cell cell4 = crateCell(workbook,row,4); //区域
                Cell cell5 = crateCell(workbook,row,5); //项目分组
                Cell cell6 = crateCell(workbook,row,6); //储备批次
                Cell cell7 = crateCell(workbook,row,7); //供电区域
                Cell cell8 = crateCell(workbook,row,8); //网格编号
                Cell cell9 = crateCell(workbook,row,9); //单元格编号
                Cell cell10 = crateCell(workbook,row,10); //项目储备编号
                Cell cell11 = crateCell(workbook,row,11); //项目名称
                Cell cell12 = crateCell(workbook,row,12); //建设必要性及内容
                Cell cell13 = crateCell(workbook,row,13); //变电站名称
                Cell cell14 = crateCell(workbook,row,14); //线路名称
                Cell cell15 = crateCell(workbook,row,15); //网架项目划分
                Cell cell16 = crateCell(workbook,row,16); //需求类型
                Cell cell17 = crateCell(workbook,row,17); //费用估算
                Cell cell18 = crateCell(workbook,row,18); //备注
                Cell cell19 = crateCell(workbook,row,19); //需求提报人
                Cell cell20 = crateCell(workbook,row,20); //业主储备专职
                Cell cell21 = crateCell(workbook,row,21); //业主配网专职
                Cell cell22 = crateCell(workbook,row,22); //业主项目经理
                Cell cell23 = crateCell(workbook,row,23); //技经人员
                Cell cell24 = crateCell(workbook,row,24); //运维人员
                Cell cell25 = crateCell(workbook,row,25); //设计人员
                Cell cell26 = crateCell(workbook,row,26); //概算编制人员
                Cell cell27 = crateCell(workbook,row,27); //不停电作业查勘人

                ReserveProcessProject reserveManagement = list.get(i);

                cell0.setCellValue(String.valueOf(index++));
                cell1.setCellValue(reserveManagement.getProjectYear());
                cell2.setCellValue(reserveManagement.getProjectNature());
                cell3.setCellValue(reserveManagement.getDemandUnit());
                cell4.setCellValue(reserveManagement.getDistrict());
                cell5.setCellValue(reserveManagement.getProjectGroup());
                cell6.setCellValue(reserveManagement.getReserveBatches());
                cell7.setCellValue(reserveManagement.getBlockSupply());
                cell8.setCellValue(reserveManagement.getGridNumber());
                cell9.setCellValue(reserveManagement.getCellNumber());
                cell10.setCellValue(reserveManagement.getProjectReserveId());
                cell11.setCellValue(reserveManagement.getProjectName());
                cell12.setCellValue(reserveManagement.getConstructionNecessityAndContent());
                cell13.setCellValue(reserveManagement.getSubstationName());
                cell14.setCellValue(reserveManagement.getCircuitName());
                cell15.setCellValue(reserveManagement.getNetRackProjectDivide());
                cell16.setCellValue(reserveManagement.getRequirementType());

                String costEstimateStr= reserveManagement.getCostEstimate().toString();
                if(StringUtils.isNotBlank(costEstimateStr)){
                    cell17.setCellValue(Double.parseDouble(costEstimateStr));
                }
                cell18.setCellValue(reserveManagement.getBasicRemarks());
                cell19.setCellValue(reserveManagement.getRequester());
                cell20.setCellValue(reserveManagement.getOwnerReserveFullTime());
                cell21.setCellValue(reserveManagement.getOwnerDistributionNerworkFullTime());
                cell22.setCellValue(reserveManagement.getOwnerProjectManager());
                cell23.setCellValue(reserveManagement.getTechnicalStaff());
                cell24.setCellValue(reserveManagement.getOperationAndMaintenancePersonnel());
                cell25.setCellValue(reserveManagement.getDesigner());
                cell26.setCellValue(reserveManagement.getBudgetPreparer());
                cell27.setCellValue(reserveManagement.getUninterruptedWorkSurveyPersonnel());


            }

            String str = URLEncoder.encode("储备项目基本信息.xlsx", "UTF8");
            response.setHeader("Content-Disposition", "attachment;filename="+str);
            response.setContentType("application/vnd.ms-excel;charset=UTF-8");
            OutputStream outputStream = response.getOutputStream();
            workbook.write(outputStream);
            outputStream.flush();
            outputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    /**
     * 导出储备项目带电作业基本信息
     * @param response
     * @param workbook
     * @param list
     */
    public void exportElectricityWork(HttpServletResponse response, XSSFWorkbook workbook, List<ReserveElectricityWork> list){
        try {
            int index = 1;//第一列序号
            int rowNum = 3;//数据起始列
            Sheet sheet = workbook.getSheetAt(0);
            for(int i=0;i<list.size();i++){
                Row row = sheet.createRow(rowNum+i);
                Cell cell0 = crateCell(workbook,row,0); //序号
                Cell cell1 = crateCell(workbook,row,1); //项目年份
                Cell cell2 = crateCell(workbook,row,2); //项目性质
                Cell cell3 = crateCell(workbook,row,3); //需求单位
                Cell cell4 = crateCell(workbook,row,4); //区域
                Cell cell5 = crateCell(workbook,row,5); //项目分组
                Cell cell6 = crateCell(workbook,row,6); //储备批次
                Cell cell7 = crateCell(workbook,row,7); //供电区域
                Cell cell8 = crateCell(workbook,row,8); //网格编号
                Cell cell9 = crateCell(workbook,row,9); //单元格编号
                Cell cell10 = crateCell(workbook,row,10); //项目储备编号
                Cell cell11 = crateCell(workbook,row,11); //项目名称
                Cell cell12 = crateCell(workbook,row,12); //建设必要性及内容
                Cell cell13 = crateCell(workbook,row,13); //变电站名称
                Cell cell14 = crateCell(workbook,row,14); //线路名称
                Cell cell15 = crateCell(workbook,row,15); //网架项目划分
                Cell cell16 = crateCell(workbook,row,16); //需求类型
                Cell cell17 = crateCell(workbook,row,17); //费用估算
                Cell cell18 = crateCell(workbook,row,18); //备注
                Cell cell19 = crateCell(workbook,row,19); //储备进度
                Cell cell20 = crateCell(workbook,row,20); //是否纳入实施计划
                Cell cell21 = crateCell(workbook,row,21); //初定实施批次
                Cell cell22 = crateCell(workbook,row,22); //是否变压器或打包项目
                Cell cell23 = crateCell(workbook,row,23); //是否打包项目
                Cell cell24 = crateCell(workbook,row,24); //打包项目设备数量
                Cell cell25 = crateCell(workbook,row,25); //设备名称
                Cell cell26 = crateCell(workbook,row,26); //是否带电作业
                Cell cell27 = crateCell(workbook,row,27); //带电作业类型编号
                Cell cell28 = crateCell(workbook,row,28); //带电作业次数
                Cell cell29 = crateCell(workbook,row,29); //不停电作业方案
                Cell cell30 = crateCell(workbook,row,30); //无法不停电作业原因
                Cell cell31 = crateCell(workbook,row,31); //停电作业方案
                Cell cell32 = crateCell(workbook,row,32); //方案编制人
                Cell cell33 = crateCell(workbook,row,33); //现场查勘人

                ReserveElectricityWork reserveManagement = list.get(i);

                cell0.setCellValue(String.valueOf(index++));
                cell1.setCellValue(reserveManagement.getProjectYear());
                cell2.setCellValue(reserveManagement.getProjectNature());
                cell3.setCellValue(reserveManagement.getDemandUnit());
                cell4.setCellValue(reserveManagement.getDistrict());
                cell5.setCellValue(reserveManagement.getProjectGroup());
                cell6.setCellValue(reserveManagement.getReserveBatches());
                cell7.setCellValue(reserveManagement.getBlockSupply());
                cell8.setCellValue(reserveManagement.getGridNumber());
                cell9.setCellValue(reserveManagement.getCellNumber());
                cell10.setCellValue(reserveManagement.getProjectReserveId());
                cell11.setCellValue(reserveManagement.getProjectName());
                cell12.setCellValue(reserveManagement.getConstructionNecessityAndContent());
                cell13.setCellValue(reserveManagement.getSubstationName());
                cell14.setCellValue(reserveManagement.getCircuitName());
                cell15.setCellValue(reserveManagement.getNetRackProjectDivide());
                cell16.setCellValue(reserveManagement.getRequirementType());

                String costEstimateStr= reserveManagement.getCostEstimate().toString();
                if(StringUtils.isNotBlank(costEstimateStr)){
                    cell17.setCellValue(Double.parseDouble(costEstimateStr));
                }
                cell18.setCellValue(reserveManagement.getBasicRemarks());
                cell19.setCellValue(reserveManagement.getReserveProgress());
                cell20.setCellValue(reserveManagement.getImplementPlan());
                cell21.setCellValue(reserveManagement.getImplementBatch());
                cell22.setCellValue(reserveManagement.getTeansFormerOrPackageProject());
                cell23.setCellValue(reserveManagement.getPackageProject());
                cell24.setCellValue(reserveManagement.getPackageItemQuantity());
                cell25.setCellValue(reserveManagement.getDeviceName());
                cell26.setCellValue(reserveManagement.getWorkWithElectricity());
                cell27.setCellValue(reserveManagement.getElectricityTypeNumber());
                cell28.setCellValue(reserveManagement.getElectricityWorkNumber());
                cell29.setCellValue(reserveManagement.getNoStopWorkPlan());
                cell30.setCellValue(reserveManagement.getReasonsForNotWorkInterruption());
                cell31.setCellValue(reserveManagement.getPowerOutagePlan());
                cell32.setCellValue(reserveManagement.getPlanner());
                cell33.setCellValue(reserveManagement.getSiteSurveyor());


            }

            String str = URLEncoder.encode("储备项目带电作业信息.xlsx", "UTF8");
            response.setHeader("Content-Disposition", "attachment;filename="+str);
            response.setContentType("application/vnd.ms-excel;charset=UTF-8");
            OutputStream outputStream = response.getOutputStream();
            workbook.write(outputStream);
            outputStream.flush();
            outputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    /**
     * 导出储备项目安全交底信息
     * @param response
     * @param workbook
     * @param list
     */
    public void exportSafety(HttpServletResponse response, XSSFWorkbook workbook, List<ReserveSafety> list){
        try {
            int index = 1;//第一列序号
            int rowNum = 3;//数据起始列
            Sheet sheet = workbook.getSheetAt(0);
            for(int i=0;i<list.size();i++){
                Row row = sheet.createRow(rowNum+i);
                Cell cell0 = crateCell(workbook,row,0); //序号
                Cell cell1 = crateCell(workbook,row,1); //项目年份
                Cell cell2 = crateCell(workbook,row,2); //项目性质
                Cell cell3 = crateCell(workbook,row,3); //需求单位
                Cell cell4 = crateCell(workbook,row,4); //区域
                Cell cell5 = crateCell(workbook,row,5); //项目分组
                Cell cell6 = crateCell(workbook,row,6); //储备批次
                Cell cell7 = crateCell(workbook,row,7); //供电区域
                Cell cell8 = crateCell(workbook,row,8); //网格编号
                Cell cell9 = crateCell(workbook,row,9); //单元格编号
                Cell cell10 = crateCell(workbook,row,10); //项目储备编号
                Cell cell11 = crateCell(workbook,row,11); //项目名称
                Cell cell12 = crateCell(workbook,row,12); //建设必要性及内容
                Cell cell13 = crateCell(workbook,row,13); //变电站名称
                Cell cell14 = crateCell(workbook,row,14); //线路名称
                Cell cell15 = crateCell(workbook,row,15); //网架项目划分
                Cell cell16 = crateCell(workbook,row,16); //需求类型
                Cell cell17 = crateCell(workbook,row,17); //费用估算
                Cell cell18 = crateCell(workbook,row,18); //备注
                Cell cell19 = crateCell(workbook,row,19); //储备进度
                Cell cell20 = crateCell(workbook,row,20); //是否临近（交叉）输电线路作业（含土建）
                Cell cell21 = crateCell(workbook,row,21); //是否临近（交叉）输电线路作业（含土建）-描述
                Cell cell22 = crateCell(workbook,row,22); //是否与输电线路同杆架设
                Cell cell23 = crateCell(workbook,row,23); //是否与输电线路同杆架设-描述
                Cell cell24 = crateCell(workbook,row,24); //是否与输电线路共沟
                Cell cell25 = crateCell(workbook,row,25); //是否与输电线路共沟-描述
                Cell cell26 = crateCell(workbook,row,26); //是否临近带电中压线路作业
                Cell cell27 = crateCell(workbook,row,27); //是否临近带电中压线路作业-描述
                Cell cell28 = crateCell(workbook,row,28); //是否有限空间作业
                Cell cell29 = crateCell(workbook,row,29); //是否有限空间作业-描述
                Cell cell30 = crateCell(workbook,row,30); //是否存在变电站出线电缆搭接-是
                Cell cell31 = crateCell(workbook,row,31); //是否存在变电站出线电缆搭接-是-描述
                Cell cell32 = crateCell(workbook,row,32); //是否存在跨越公路、铁路、航道作业
                Cell cell33 = crateCell(workbook,row,33); //是否存在跨越公路、铁路、航道作业-描述
                Cell cell34 = crateCell(workbook,row,34); //是否存在动火作业
                Cell cell35 = crateCell(workbook,row,35); //是否存在动火作业-描述
                Cell cell36 = crateCell(workbook,row,36); //是否需停电四条以上线路
                Cell cell37 = crateCell(workbook,row,37); //是否需停电四条以上线路-描述
                Cell cell38 = crateCell(workbook,row,38); //是否三条以上线路负荷改接
                Cell cell39 = crateCell(workbook,row,39); //是否三条以上线路负荷改接-描述
                Cell cell40 = crateCell(workbook,row,40); //是否多专业、多班组大型作业
                Cell cell41 = crateCell(workbook,row,41); //是否多专业、多班组大型作业-描述
                Cell cell42 = crateCell(workbook,row,42); //是否需编制三措
                Cell cell43 = crateCell(workbook,row,43); //是否需编制三措-描述
                Cell cell44 = crateCell(workbook,row,44); //作业风险等级预判


                ReserveSafety reserveManagement = list.get(i);

                cell0.setCellValue(String.valueOf(index++));
                cell1.setCellValue(reserveManagement.getProjectYear());
                cell2.setCellValue(reserveManagement.getProjectNature());
                cell3.setCellValue(reserveManagement.getDemandUnit());
                cell4.setCellValue(reserveManagement.getDistrict());
                cell5.setCellValue(reserveManagement.getProjectGroup());
                cell6.setCellValue(reserveManagement.getReserveBatches());
                cell7.setCellValue(reserveManagement.getBlockSupply());
                cell8.setCellValue(reserveManagement.getGridNumber());
                cell9.setCellValue(reserveManagement.getCellNumber());
                cell10.setCellValue(reserveManagement.getProjectReserveId());
                cell11.setCellValue(reserveManagement.getProjectName());
                cell12.setCellValue(reserveManagement.getConstructionNecessityAndContent());
                cell13.setCellValue(reserveManagement.getSubstationName());
                cell14.setCellValue(reserveManagement.getCircuitName());
                cell15.setCellValue(reserveManagement.getNetRackProjectDivide());
                cell16.setCellValue(reserveManagement.getRequirementType());

                String costEstimateStr= reserveManagement.getCostEstimate().toString();
                if(StringUtils.isNotBlank(costEstimateStr)){
                    cell17.setCellValue(Double.parseDouble(costEstimateStr));
                }
                cell18.setCellValue(reserveManagement.getBasicRemarks());
                cell19.setCellValue(reserveManagement.getReserveProgress());
                cell20.setCellValue(reserveManagement.getTransmissionWork());
                cell21.setCellValue(reserveManagement.getWorkDescribe());
                cell22.setCellValue(reserveManagement.getTransmissionErection());
                cell23.setCellValue(reserveManagement.getErecteDescribe());
                cell24.setCellValue(reserveManagement.getTransmissionCommonTrench());
                cell25.setCellValue(reserveManagement.getTrenchDescribe());
                cell26.setCellValue(reserveManagement.getMediumVoltageWork());
                cell27.setCellValue(reserveManagement.getVoltageWorkDescribe());
                cell28.setCellValue(reserveManagement.getConfineSpaceWork());
                cell29.setCellValue(reserveManagement.getSpaceDescribe());
                cell30.setCellValue(reserveManagement.getSubStationCableBonding());
                cell31.setCellValue(reserveManagement.getCableDescribe());
                cell32.setCellValue(reserveManagement.getRoadRailwaysAndWaterwaysWork());
                cell33.setCellValue(reserveManagement.getWaterDescribe());
                cell34.setCellValue(reserveManagement.getHotWork());
                cell35.setCellValue(reserveManagement.getHotWorkDescribe());
                cell36.setCellValue(reserveManagement.getBlackoutLineFour());
                cell37.setCellValue(reserveManagement.getLineFourDescribe());
                cell38.setCellValue(reserveManagement.getLineLoadRedirectionThree());
                cell39.setCellValue(reserveManagement.getThreeRedirectDescribe());
                cell40.setCellValue(reserveManagement.getLargeScaleMultiTeamWork());
                cell41.setCellValue(reserveManagement.getTeamWorkDescribe());
                cell42.setCellValue(reserveManagement.getPrepareThreeMeasures());
                cell43.setCellValue(reserveManagement.getMeasureDescribe());
                cell44.setCellValue(reserveManagement.getJobRiskLevelPrediction());

            }

            String str = URLEncoder.encode("储备项目安全交底信息.xlsx", "UTF8");
            response.setHeader("Content-Disposition", "attachment;filename="+str);
            response.setContentType("application/vnd.ms-excel;charset=UTF-8");
            OutputStream outputStream = response.getOutputStream();
            workbook.write(outputStream);
            outputStream.flush();
            outputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }


    /**
     * 导出储备项目预土建制化信息
     * @param response
     * @param workbook
     * @param list
     */
    public void exportPrecons(HttpServletResponse response, XSSFWorkbook workbook, List<ReservePreconstruction> list){
        try {
            int index = 1;//第一列序号
            int rowNum = 3;//数据起始列
            Sheet sheet = workbook.getSheetAt(0);
            for(int i=0;i<list.size();i++){
                Row row = sheet.createRow(rowNum+i);
                Cell cell0 = crateCell(workbook,row,0); //序号
                Cell cell1 = crateCell(workbook,row,1); //项目年份
                Cell cell2 = crateCell(workbook,row,2); //项目性质
                Cell cell3 = crateCell(workbook,row,3); //需求单位
                Cell cell4 = crateCell(workbook,row,4); //区域
                Cell cell5 = crateCell(workbook,row,5); //项目分组
                Cell cell6 = crateCell(workbook,row,6); //储备批次
                Cell cell7 = crateCell(workbook,row,7); //供电区域
                Cell cell8 = crateCell(workbook,row,8); //网格编号
                Cell cell9 = crateCell(workbook,row,9); //单元格编号
                Cell cell10 = crateCell(workbook,row,10); //项目储备编号
                Cell cell11 = crateCell(workbook,row,11); //项目名称
                Cell cell12 = crateCell(workbook,row,12); //建设必要性及内容
                Cell cell13 = crateCell(workbook,row,13); //变电站名称
                Cell cell14 = crateCell(workbook,row,14); //线路名称
                Cell cell15 = crateCell(workbook,row,15); //网架项目划分
                Cell cell16 = crateCell(workbook,row,16); //需求类型
                Cell cell17 = crateCell(workbook,row,17); //费用估算
                Cell cell18 = crateCell(workbook,row,18); //备注
                Cell cell19 = crateCell(workbook,row,19); //储备进度
                Cell cell20 = crateCell(workbook,row,20); //是否纳入实施计划
                Cell cell21 = crateCell(workbook,row,21); //初定实施批次
                Cell cell22 = crateCell(workbook,row,22); //交底预制化信息-是否含新建土建基础/包封
                Cell cell23 = crateCell(workbook,row,23); //交底预制化信息-是否预制化
                Cell cell24 = crateCell(workbook,row,24); //交底预制化信息-预制化描述
                Cell cell25 = crateCell(workbook,row,25); //设计预制化信息-是否含新建土建基础/包封
                Cell cell26 = crateCell(workbook,row,26); //设计预制化信息-是否预制化
                Cell cell27 = crateCell(workbook,row,27); //设计预制化信息-预制化描述




                ReservePreconstruction reserveManagement = list.get(i);

                cell0.setCellValue(String.valueOf(index++));
                cell1.setCellValue(reserveManagement.getProjectYear());
                cell2.setCellValue(reserveManagement.getProjectNature());
                cell3.setCellValue(reserveManagement.getDemandUnit());
                cell4.setCellValue(reserveManagement.getDistrict());
                cell5.setCellValue(reserveManagement.getProjectGroup());
                cell6.setCellValue(reserveManagement.getReserveBatches());
                cell7.setCellValue(reserveManagement.getBlockSupply());
                cell8.setCellValue(reserveManagement.getGridNumber());
                cell9.setCellValue(reserveManagement.getCellNumber());
                cell10.setCellValue(reserveManagement.getProjectReserveId());
                cell11.setCellValue(reserveManagement.getProjectName());
                cell12.setCellValue(reserveManagement.getConstructionNecessityAndContent());
                cell13.setCellValue(reserveManagement.getSubstationName());
                cell14.setCellValue(reserveManagement.getCircuitName());
                cell15.setCellValue(reserveManagement.getNetRackProjectDivide());
                cell16.setCellValue(reserveManagement.getRequirementType());

                String costEstimateStr= reserveManagement.getCostEstimate().toString();
                if(StringUtils.isNotBlank(costEstimateStr)){
                    cell17.setCellValue(Double.parseDouble(costEstimateStr));
                }
                cell18.setCellValue(reserveManagement.getBasicRemarks());
                cell19.setCellValue(reserveManagement.getReserveProgress());
                cell20.setCellValue(reserveManagement.getImplementPlan());
                cell21.setCellValue(reserveManagement.getImplementBatch());
                cell22.setCellValue(reserveManagement.getConfessCivilFoundation());
                cell23.setCellValue(reserveManagement.getConfessPrefab());
                cell24.setCellValue(reserveManagement.getConfessPrefabDescription());
                cell25.setCellValue(reserveManagement.getDesignCivilFoundation());
                cell26.setCellValue(reserveManagement.getDesignPrefab());
                cell27.setCellValue(reserveManagement.getDesignPrefabDescription());

            }

            String str = URLEncoder.encode("储备项目预土建制化信息.xlsx", "UTF8");
            response.setHeader("Content-Disposition", "attachment;filename="+str);
            response.setContentType("application/vnd.ms-excel;charset=UTF-8");
            OutputStream outputStream = response.getOutputStream();
            workbook.write(outputStream);
            outputStream.flush();
            outputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    /**
     * 导出储备项目政策处理信息
     * @param response
     * @param workbook
     * @param list
     */
    public void exportPolicy(HttpServletResponse response, XSSFWorkbook workbook, List<ReservePolicyHand> list){
        try {
            int index = 1;//第一列序号
            int rowNum = 3;//数据起始列
            Sheet sheet = workbook.getSheetAt(0);
            for(int i=0;i<list.size();i++){
                Row row = sheet.createRow(rowNum+i);
                Cell cell0 = crateCell(workbook,row,0); //序号
                Cell cell1 = crateCell(workbook,row,1); //项目年份
                Cell cell2 = crateCell(workbook,row,2); //项目性质
                Cell cell3 = crateCell(workbook,row,3); //需求单位
                Cell cell4 = crateCell(workbook,row,4); //区域
                Cell cell5 = crateCell(workbook,row,5); //项目分组
                Cell cell6 = crateCell(workbook,row,6); //储备批次
                Cell cell7 = crateCell(workbook,row,7); //供电区域
                Cell cell8 = crateCell(workbook,row,8); //网格编号
                Cell cell9 = crateCell(workbook,row,9); //单元格编号
                Cell cell10 = crateCell(workbook,row,10); //项目储备编号
                Cell cell11 = crateCell(workbook,row,11); //项目名称
                Cell cell12 = crateCell(workbook,row,12); //建设必要性及内容
                Cell cell13 = crateCell(workbook,row,13); //变电站名称
                Cell cell14 = crateCell(workbook,row,14); //线路名称
                Cell cell15 = crateCell(workbook,row,15); //网架项目划分
                Cell cell16 = crateCell(workbook,row,16); //需求类型
                Cell cell17 = crateCell(workbook,row,17); //费用估算
                Cell cell18 = crateCell(workbook,row,18); //备注
                Cell cell19 = crateCell(workbook,row,19); //储备进度
                Cell cell20 = crateCell(workbook,row,20); //是否纳入实施计划
                Cell cell21 = crateCell(workbook,row,21); //拟实施批次
                Cell cell22 = crateCell(workbook,row,22); //供电所辖区
                Cell cell23 = crateCell(workbook,row,23); //施工地点
                Cell cell24 = crateCell(workbook,row,24); //是否含土建工作量
                Cell cell25 = crateCell(workbook,row,25); //是否含立杆工作量
                Cell cell26 = crateCell(workbook,row,26); //项目经理
                Cell cell27 = crateCell(workbook,row,27); //拟定施工单位
                Cell cell28 = crateCell(workbook,row,28); //是否移交政处单位图纸
                Cell cell29 = crateCell(workbook,row,29); //是否存在政处
                Cell cell30 = crateCell(workbook,row,30); //政处描述
                Cell cell31 = crateCell(workbook,row,31); //政处难度
                Cell cell32 = crateCell(workbook,row,32); //政处对象数量
                Cell cell33 = crateCell(workbook,row,33); //政处对象描述（产权单位）
                Cell cell34 = crateCell(workbook,row,34); //政处类型
                Cell cell35 = crateCell(workbook,row,35); //启动政处时间
                Cell cell36 = crateCell(workbook,row,36); //是否需规划报批
                Cell cell37 = crateCell(workbook,row,37); //规划报批完成情况
                Cell cell38 = crateCell(workbook,row,38); //是否需办理安评航评手续
                Cell cell39 = crateCell(workbook,row,39); //安评完成情况
                Cell cell40 = crateCell(workbook,row,40); //政处对象金额
                Cell cell41 = crateCell(workbook,row,41); //是否完成付款
                Cell cell42 = crateCell(workbook,row,42); //政处进度
                Cell cell43 = crateCell(workbook,row,43); //是否允许土建进场
                Cell cell44 = crateCell(workbook,row,43); //是否允许电气进场
                Cell cell45 = crateCell(workbook,row,44); //是否允许开土建领料单
                Cell cell46 = crateCell(workbook,row,45); //是否允许开电气领料单
                Cell cell47 = crateCell(workbook,row,46); //政处进度-备注


                ReservePolicyHand reserveManagement = list.get(i);

                cell0.setCellValue(String.valueOf(index++));
                cell1.setCellValue(reserveManagement.getProjectYear());
                cell2.setCellValue(reserveManagement.getProjectNature());
                cell3.setCellValue(reserveManagement.getDemandUnit());
                cell4.setCellValue(reserveManagement.getDistrict());
                cell5.setCellValue(reserveManagement.getProjectGroup());
                cell6.setCellValue(reserveManagement.getReserveBatches());
                cell7.setCellValue(reserveManagement.getBlockSupply());
                cell8.setCellValue(reserveManagement.getGridNumber());
                cell9.setCellValue(reserveManagement.getCellNumber());
                cell10.setCellValue(reserveManagement.getProjectReserveId());
                cell11.setCellValue(reserveManagement.getProjectName());
                cell12.setCellValue(reserveManagement.getConstructionNecessityAndContent());
                cell13.setCellValue(reserveManagement.getSubstationName());
                cell14.setCellValue(reserveManagement.getCircuitName());
                cell15.setCellValue(reserveManagement.getNetRackProjectDivide());
                cell16.setCellValue(reserveManagement.getRequirementType());

                String costEstimateStr= reserveManagement.getCostEstimate().toString();
                if(StringUtils.isNotBlank(costEstimateStr)){
                    cell17.setCellValue(Double.parseDouble(costEstimateStr));
                }
                cell18.setCellValue(reserveManagement.getBasicRemarks());
                cell19.setCellValue(reserveManagement.getReserveProgress());
                cell20.setCellValue(reserveManagement.getImplementPlan());
                cell21.setCellValue(reserveManagement.getIntendBatch());
                cell22.setCellValue(reserveManagement.getPowerSupplyArea());
                cell23.setCellValue(reserveManagement.getConstructionSpot());
                cell24.setCellValue(reserveManagement.getIncludeCivilWork());
                cell25.setCellValue(reserveManagement.getPoleWorkload());
                cell26.setCellValue(reserveManagement.getProjectManager());
                cell27.setCellValue(reserveManagement.getProposedConstructionUnit());
                cell28.setCellValue(reserveManagement.getOverToGovernment());
                cell29.setCellValue(reserveManagement.getGovernmentOffice());
                cell30.setCellValue(reserveManagement.getOfficeDescription());
                cell31.setCellValue(reserveManagement.getAdministrativeDifficulty());
                cell32.setCellValue(reserveManagement.getAdministrativeObjectNumber());
                cell33.setCellValue(reserveManagement.getPropertyUnitOfficeDescription());
                cell34.setCellValue(reserveManagement.getOfficeType());
                cell35.setCellValue(reserveManagement.getStartOfficeTime());
                cell36.setCellValue(reserveManagement.getPlanApprovalRequire());
                cell37.setCellValue(reserveManagement.getPlanApprovalCompletion());
                cell38.setCellValue(reserveManagement.getSafetyReview());
                cell39.setCellValue(reserveManagement.getSafetyReviewCompletion());
                cell40.setCellValue(reserveManagement.getOfficeAmount());
                cell41.setCellValue(reserveManagement.getPaymentCompleted());
                cell42.setCellValue(reserveManagement.getOfficeProgress());
                cell43.setCellValue(reserveManagement.getCivilEngineeringApproach());
                cell44.setCellValue(reserveManagement.getElectricApproach());
                cell45.setCellValue(reserveManagement.getCivilConstructionMaterialOpen());
                cell46.setCellValue(reserveManagement.getElectricalPickListOpen());
                cell47.setCellValue(reserveManagement.getAdministrativeOfficeRemark());


            }

            String str = URLEncoder.encode("储备项目政策处理信息.xlsx", "UTF8");
            response.setHeader("Content-Disposition", "attachment;filename="+str);
            response.setContentType("application/vnd.ms-excel;charset=UTF-8");
            OutputStream outputStream = response.getOutputStream();
            workbook.write(outputStream);
            outputStream.flush();
            outputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    /**
     * 导出储备项目交底信息汇总统计
     * @param response
     * @param workbook
     * @param list
     */
    public void exportSummary(HttpServletResponse response, XSSFWorkbook workbook, List<ReserveSummary> list){
        try {
            int index = 1;//第一列序号
            int rowNum = 3;//数据起始列
            Sheet sheet = workbook.getSheetAt(0);
            for(int i=0;i<list.size();i++){
                Row row = sheet.createRow(rowNum+i);
                Cell cell0 = crateCell(workbook,row,0); //序号
                Cell cell1 = crateCell(workbook,row,1); //项目年份
                Cell cell2 = crateCell(workbook,row,2); //项目性质
                Cell cell3 = crateCell(workbook,row,3); //需求单位
                Cell cell4 = crateCell(workbook,row,4); //区域
                Cell cell5 = crateCell(workbook,row,5); //项目分组
                Cell cell6 = crateCell(workbook,row,6); //项目经理
                Cell cell7 = crateCell(workbook,row,7); //储备批次
                Cell cell8 = crateCell(workbook,row,8); //供电区域
                Cell cell9 = crateCell(workbook,row,9); //网格编号
                Cell cell10 = crateCell(workbook,row,10); //单元格编号
                Cell cell11 = crateCell(workbook,row,11); //项目储备编号
                Cell cell12 = crateCell(workbook,row,12); //项目名称
                Cell cell13 = crateCell(workbook,row,13); //建设必要性及内容
                Cell cell14 = crateCell(workbook,row,14); //变电站名称
                Cell cell15 = crateCell(workbook,row,15); //线路名称
                Cell cell16 = crateCell(workbook,row,16); //网架项目划分
                Cell cell17 = crateCell(workbook,row,17); //需求类型
                Cell cell18 = crateCell(workbook,row,18); //项目类型
                Cell cell19 = crateCell(workbook,row,19); //费用估算
                Cell cell20 = crateCell(workbook,row,20); //预算编制状态
                Cell cell21 = crateCell(workbook,row,21); //预算含税
                Cell cell22 = crateCell(workbook,row,22); //预算不含税
                Cell cell23 = crateCell(workbook,row,23); //备注
                Cell cell24 = crateCell(workbook,row,24); //储备进度
                Cell cell25 = crateCell(workbook,row,25); //是否纳入储备
                Cell cell26 = crateCell(workbook,row,26); //存在重大问题分类
                Cell cell27 = crateCell(workbook,row,27); //存在问题说明
                Cell cell28 = crateCell(workbook,row,28); //是否可变更方案
                Cell cell29 = crateCell(workbook,row,29); //方案变更说明
                Cell cell30 = crateCell(workbook,row,30); //政处难度
                Cell cell31 = crateCell(workbook,row,31); //政处进度
                Cell cell32 = crateCell(workbook,row,32); //取消确认部门
                Cell cell33 = crateCell(workbook,row,33); //储备项目交底信息-备注
                Cell cell34 = crateCell(workbook,row,34); //需求单位优先级
                Cell cell35 = crateCell(workbook,row,35); //需求单位优先级
                Cell cell36 = crateCell(workbook,row,36); //需求单位优先级
                Cell cell37 = crateCell(workbook,row,37); //需求单位优先级
                Cell cell38 = crateCell(workbook,row,38); //需求单位优先级
                Cell cell39 = crateCell(workbook,row,39); //需求单位优先级

                ReserveSummary reserveManagement = list.get(i);

                cell0.setCellValue(String.valueOf(index++));
                cell1.setCellValue(reserveManagement.getProjectYear());
                cell2.setCellValue(reserveManagement.getProjectNature());
                cell3.setCellValue(reserveManagement.getDemandUnit());
                cell4.setCellValue(reserveManagement.getDistrict());
                cell5.setCellValue(reserveManagement.getProjectGroup());
                cell6.setCellValue(reserveManagement.getProjectManager());
                cell7.setCellValue(reserveManagement.getReserveBatches());
                cell8.setCellValue(reserveManagement.getBlockSupply());
                cell9.setCellValue(reserveManagement.getGridNumber());
                cell10.setCellValue(reserveManagement.getCellNumber());
                cell11.setCellValue(reserveManagement.getProjectReserveId());
                cell12.setCellValue(reserveManagement.getProjectName());
                cell13.setCellValue(reserveManagement.getConstructionNecessityAndContent());
                cell14.setCellValue(reserveManagement.getSubstationName());
                cell15.setCellValue(reserveManagement.getCircuitName());
                cell16.setCellValue(reserveManagement.getNetRackProjectDivide());
                cell17.setCellValue(reserveManagement.getRequirementType());
                cell18.setCellValue(reserveManagement.getProjectType());

                String costEstimateStr= reserveManagement.getCostEstimate().toString();
                if(StringUtils.isNotBlank(costEstimateStr)){
                    cell19.setCellValue(Double.parseDouble(costEstimateStr));
                }
                cell20.setCellValue(reserveManagement.getBudgetPreparationStatus());
                cell21.setCellValue(reserveManagement.getBudgetIncludesTax());
                cell22.setCellValue(reserveManagement.getBudgetNotIncludesTax());
                cell23.setCellValue(reserveManagement.getBasicRemarks());
                cell24.setCellValue(reserveManagement.getReserveProgress());
                cell25.setCellValue(reserveManagement.getIncludeReserve());
                cell26.setCellValue(reserveManagement.getMajorProblemClassification());
                cell27.setCellValue(reserveManagement.getProblemDescription());
                cell28.setCellValue(reserveManagement.getChangePlan());
                cell29.setCellValue(reserveManagement.getProgramChangeDescription());
                cell30.setCellValue(reserveManagement.getAdministrativeDifficulty());
                cell31.setCellValue(reserveManagement.getOfficeProgress());
                cell32.setCellValue(reserveManagement.getCancelConfirmationDepartment());
                cell33.setCellValue(reserveManagement.getTruthRemark());
                cell34.setCellValue(reserveManagement.getDemandUnitPriority());
                cell35.setCellValue(reserveManagement.getImplementPlan());
                cell36.setCellValue(reserveManagement.getInitialImplementBatch());
                cell37.setCellValue(reserveManagement.getPreliminaryConstructionUnit());
                cell38.setCellValue(reserveManagement.getPreliminaryConstructionUnitProjectManager());
                cell39.setCellValue(reserveManagement.getHandConstructionSketches());

            }

            String str = URLEncoder.encode("储备项目交底信息汇总统计.xlsx", "UTF8");
            response.setHeader("Content-Disposition", "attachment;filename="+str);
            response.setContentType("application/vnd.ms-excel;charset=UTF-8");
            OutputStream outputStream = response.getOutputStream();
            workbook.write(outputStream);
            outputStream.flush();
            outputStream.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }


    /**
     * 创建Cell对象 同时设置style
     * @param workbook
     * @param row
     * @param num
     * @return
     */
    Cell crateCell(XSSFWorkbook workbook,Row row, int num){
        Cell cell = row.createCell(num);
        if(style == null){
            style =workbook.createCellStyle();
            style.setWrapText(true);
            style.setVerticalAlignment(XSSFCellStyle.VERTICAL_CENTER);
        }
        cell.setCellStyle(style);
        return cell;
    }
}
