package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.utils;

import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.*;
import com.jeeplus.modules.sg.managementcenter.materialproject.util.ImportUtil;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.ss.usermodel.Row;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ReserveProcessProjectProUtil {


    /**
     * 获取储备项目基本信息表格数据
     * @param importUtil
     * @return List<ReserveManagementMapper> 导入表格数据
     */
    public static List<ReserveProcessProject> getProjectUtil(ImportUtil importUtil) throws ParseException {
        int lastRow = importUtil.getLastDataRowNum();
        List<ReserveProcessProject> list = new ArrayList<ReserveProcessProject>();
        //网格编号唯一性判断
//        List<String> wgList = new ArrayList<>();
        //单元格编号唯一性判断
//        List<String> dygList = new ArrayList<>();
        //项目储备编号唯一性判断
        List<String> cbbhList = new ArrayList<>();
        //项目名称唯一性判断
        List<String> nameList = new ArrayList<>();
        //建设必要性及内容
        List<String> jsList = new ArrayList<>();
        ReserveProcessProject reserveManagement = null;
        for(int i=3; i<=lastRow;i++){
            reserveManagement = new ReserveProcessProject();
            Row row = importUtil.getRow(i);
            //储备人员流转信息
            Row cbRow = importUtil.getRow(3);
            String reserveProjectName = (String) importUtil.getCellValue(row,0);
            //获取项目储备编号
            String projectReserveId = (String) importUtil.getCellValue(row, 10);
            if(StringUtils.isNotBlank(reserveProjectName) ) {
                if(StringUtils.isNotBlank(projectReserveId)){

                    reserveManagement.setProjectYear((String) importUtil.getCellValue(row,1));
                    reserveManagement.setProjectNature((String) importUtil.getCellValue(row,2));
                    reserveManagement.setDemandUnit((String) importUtil.getCellValue(row,3));
                    reserveManagement.setDistrict((String) importUtil.getCellValue(row,4));
                    reserveManagement.setProjectGroup((String) importUtil.getCellValue(row,5));
                    reserveManagement.setReserveBatches((String) importUtil.getCellValue(row,6));
                    reserveManagement.setBlockSupply((String) importUtil.getCellValue(row,7));
                    reserveManagement.setGridNumber((String) importUtil.getCellValue(row,8));

                    reserveManagement.setCellNumber((String) importUtil.getCellValue(row,9));

                    reserveManagement.setProjectReserveId((String) importUtil.getCellValue(row,10));

                    reserveManagement.setProjectName((String) importUtil.getCellValue(row,11));

                    reserveManagement.setConstructionNecessityAndContent((String) importUtil.getCellValue(row,12));

                    reserveManagement.setSubstationName((String) importUtil.getCellValue(row,13));
                    reserveManagement.setCircuitName((String) importUtil.getCellValue(row,14));
                    reserveManagement.setNetRackProjectDivide((String) importUtil.getCellValue(row,15));
                    reserveManagement.setRequirementType((String) importUtil.getCellValue(row,16));

                    String costEstimateStr = importUtil.getCellValue(row,17).toString();
                    if(StringUtils.isNotBlank(costEstimateStr)){
                        reserveManagement.setCostEstimate(costEstimateStr);
                    }
                    reserveManagement.setBasicRemarks((String) importUtil.getCellValue(row,18));
                    reserveManagement.setRequester((String) importUtil.getCellValue(row,19));
                    reserveManagement.setOwnerReserveFullTime((String) importUtil.getCellValue(row,20));
                    reserveManagement.setOwnerDistributionNerworkFullTime((String) importUtil.getCellValue(row,21));
                    reserveManagement.setOwnerProjectManager((String) importUtil.getCellValue(row,22));
                    reserveManagement.setTechnicalStaff((String) importUtil.getCellValue(row,23));
                    reserveManagement.setOperationAndMaintenancePersonnel((String) importUtil.getCellValue(row,24));
                    reserveManagement.setDesigner((String) importUtil.getCellValue(row,25));
                    reserveManagement.setBudgetPreparer((String) importUtil.getCellValue(row,26));
//                    reserveManagement.setUninterruptedWorkSurveyPersonnel((String) importUtil.getCellValue(row,27));


                    if (list.size() == 0){
                        list.add(reserveManagement);
                        /*wgList.add(reserveManagement.getGridNumber());
                        dygList.add(reserveManagement.getCellNumber());*/
                        cbbhList.add(reserveManagement.getProjectReserveId());
                        nameList.add(reserveManagement.getProjectName());
                        jsList.add(reserveManagement.getConstructionNecessityAndContent());
                    }else {
                        if (/*!wgList.contains(reserveManagement.getGridNumber())
                            & !dygList.contains(reserveManagement.getCellNumber())
                            &*/ !cbbhList.contains(reserveManagement.getProjectReserveId())
                            & !nameList.contains(reserveManagement.getProjectName())
                            & ! jsList.contains(reserveManagement.getConstructionNecessityAndContent())){
                            list.add(reserveManagement);
                            /*wgList.add(reserveManagement.getGridNumber());
                            dygList.add(reserveManagement.getCellNumber());*/
                            cbbhList.add(reserveManagement.getProjectReserveId());
                            nameList.add(reserveManagement.getProjectName());
                            jsList.add(reserveManagement.getConstructionNecessityAndContent());
                        }
                    }

                }
            }
        }
        return list;
    }

    /**
     * 获取储备项目带电作业表格数据
     * @param importUtil
     * @return List<ReserveManagementMapper> 导入表格数据
     */
    public static List<ReserveElectricityWork> getChargeProjectUtil(ImportUtil importUtil) throws ParseException {
        int lastRow = importUtil.getLastDataRowNum();
        List<ReserveElectricityWork> list = new ArrayList<ReserveElectricityWork>();
        //网格编号唯一性判断
//        List<String> wgList = new ArrayList<>();
        //单元格编号唯一性判断
//        List<String> dygList = new ArrayList<>();
        //项目储备编号唯一性判断
        List<String> cbbhList = new ArrayList<>();
        //项目名称唯一性判断
        List<String> nameList = new ArrayList<>();
        //建设必要性及内容
        List<String> jsList = new ArrayList<>();
        ReserveElectricityWork reserveManagement = null;
        for(int i=2; i<=lastRow;i++){
            reserveManagement = new ReserveElectricityWork();
            Row row = importUtil.getRow(i);
            //储备人员流转信息
            Row cbRow = importUtil.getRow(3);
            String reserveProjectName = (String) importUtil.getCellValue(row,0);
            //获取项目储备编号
            String projectReserveId = (String) importUtil.getCellValue(row, 10);
            if(StringUtils.isNotBlank(reserveProjectName) ) {
                if(StringUtils.isNotBlank(projectReserveId)){

                    reserveManagement.setProjectYear((String) importUtil.getCellValue(row,1));
                    reserveManagement.setProjectNature((String) importUtil.getCellValue(row,2));
                    reserveManagement.setDemandUnit((String) importUtil.getCellValue(row,3));
                    reserveManagement.setDistrict((String) importUtil.getCellValue(row,4));
                    reserveManagement.setProjectGroup((String) importUtil.getCellValue(row,5));
                    reserveManagement.setReserveBatches((String) importUtil.getCellValue(row,6));
                    reserveManagement.setBlockSupply((String) importUtil.getCellValue(row,7));
                    reserveManagement.setGridNumber((String) importUtil.getCellValue(row,8));

                    reserveManagement.setCellNumber((String) importUtil.getCellValue(row,9));

                    reserveManagement.setProjectReserveId((String) importUtil.getCellValue(row,10));

                    reserveManagement.setProjectName((String) importUtil.getCellValue(row,11));

                    reserveManagement.setConstructionNecessityAndContent((String) importUtil.getCellValue(row,12));

                    reserveManagement.setSubstationName((String) importUtil.getCellValue(row,13));
                    reserveManagement.setCircuitName((String) importUtil.getCellValue(row,14));
                    reserveManagement.setNetRackProjectDivide((String) importUtil.getCellValue(row,15));
                    reserveManagement.setRequirementType((String) importUtil.getCellValue(row,16));

                    String costEstimateStr = importUtil.getCellValue(row,17).toString();
                    if(StringUtils.isNotBlank(costEstimateStr)){
                        reserveManagement.setCostEstimate(costEstimateStr);
                    }
                    reserveManagement.setBasicRemarks((String) importUtil.getCellValue(row,18));
                    reserveManagement.setReserveProgress((String) importUtil.getCellValue(row,19));
                    /*reserveManagement.setImplementPlan((String) importUtil.getCellValue(row,20));
                    reserveManagement.setImplementBatch((String) importUtil.getCellValue(row,21));*/
                    reserveManagement.setTeansFormerOrPackageProject((String) importUtil.getCellValue(row,22));
                    reserveManagement.setPackageProject((String) importUtil.getCellValue(row,23));
                    reserveManagement.setPackageItemQuantity((String) importUtil.getCellValue(row,24));
                    reserveManagement.setDeviceName((String) importUtil.getCellValue(row,25));
                    reserveManagement.setWorkWithElectricity((String) importUtil.getCellValue(row,26));
                    reserveManagement.setElectricityTypeNumber((String) importUtil.getCellValue(row,27));
                    reserveManagement.setElectricityWorkNumber((String) importUtil.getCellValue(row,28));
                    reserveManagement.setNoStopWorkPlan((String) importUtil.getCellValue(row,29));
                    reserveManagement.setReasonsForNotWorkInterruption((String) importUtil.getCellValue(row,30));
                    reserveManagement.setPowerOutagePlan((String) importUtil.getCellValue(row,31));
                    reserveManagement.setPlanner((String) importUtil.getCellValue(row,32));
                    reserveManagement.setSiteSurveyor((String) importUtil.getCellValue(row,33));

                    /*int num = Integer.valueOf(reserveManagement.getPackageItemQuantity());
                    if (num>0){
                        reserveManagement.setPackageProject("是");
                    }else if (num == 0){
                        reserveManagement.setPackageProject("否");
                    }*/

                    if (list.size() == 0){
                        list.add(reserveManagement);
                        /*wgList.add(reserveManagement.getGridNumber());
                        dygList.add(reserveManagement.getCellNumber());*/
                        cbbhList.add(reserveManagement.getProjectReserveId());
                        nameList.add(reserveManagement.getProjectName());
                        jsList.add(reserveManagement.getConstructionNecessityAndContent());
                    }else {
                        if (/*!wgList.contains(reserveManagement.getGridNumber())
                                & !dygList.contains(reserveManagement.getCellNumber())
                                &*/ !cbbhList.contains(reserveManagement.getProjectReserveId())
                                & !nameList.contains(reserveManagement.getProjectName())
                                & ! jsList.contains(reserveManagement.getConstructionNecessityAndContent())){
                            list.add(reserveManagement);
                            /*wgList.add(reserveManagement.getGridNumber());
                            dygList.add(reserveManagement.getCellNumber());*/
                            cbbhList.add(reserveManagement.getProjectReserveId());
                            nameList.add(reserveManagement.getProjectName());
                            jsList.add(reserveManagement.getConstructionNecessityAndContent());
                        }
                    }

                }
            }
        }
        return list;
    }

    /**
     * 获取储备项目安全交底信息表格数据
     * @param importUtil
     * @return List<ReserveManagementMapper> 导入表格数据
     */
    public static List<ReserveSafety> getSafetyProjectUtil(ImportUtil importUtil) throws ParseException {
        int lastRow = importUtil.getLastDataRowNum();
        List<ReserveSafety> list = new ArrayList<ReserveSafety>();
        //网格编号唯一性判断
//        List<String> wgList = new ArrayList<>();
        //单元格编号唯一性判断
//        List<String> dygList = new ArrayList<>();
        //项目储备编号唯一性判断
        List<String> cbbhList = new ArrayList<>();
        //项目名称唯一性判断
        List<String> nameList = new ArrayList<>();
        //建设必要性及内容
        List<String> jsList = new ArrayList<>();
        ReserveSafety reserveManagement = null;
        for(int i=3; i<=lastRow;i++){
            reserveManagement = new ReserveSafety();
            Row row = importUtil.getRow(i);
            //储备人员流转信息
            Row cbRow = importUtil.getRow(3);
            String reserveProjectName = (String) importUtil.getCellValue(row,0);
            //获取项目储备编号
            String projectReserveId = (String) importUtil.getCellValue(row, 10);
            if(StringUtils.isNotBlank(reserveProjectName) ) {
                if(StringUtils.isNotBlank(projectReserveId)){

                    reserveManagement.setProjectYear((String) importUtil.getCellValue(row,1));
                    reserveManagement.setProjectNature((String) importUtil.getCellValue(row,2));
                    reserveManagement.setDemandUnit((String) importUtil.getCellValue(row,3));
                    reserveManagement.setDistrict((String) importUtil.getCellValue(row,4));
                    reserveManagement.setProjectGroup((String) importUtil.getCellValue(row,5));
                    reserveManagement.setReserveBatches((String) importUtil.getCellValue(row,6));
                    reserveManagement.setBlockSupply((String) importUtil.getCellValue(row,7));
                    reserveManagement.setGridNumber((String) importUtil.getCellValue(row,8));

                    reserveManagement.setCellNumber((String) importUtil.getCellValue(row,9));

                    reserveManagement.setProjectReserveId((String) importUtil.getCellValue(row,10));

                    reserveManagement.setProjectName((String) importUtil.getCellValue(row,11));

                    reserveManagement.setConstructionNecessityAndContent((String) importUtil.getCellValue(row,12));

                    reserveManagement.setSubstationName((String) importUtil.getCellValue(row,13));
                    reserveManagement.setCircuitName((String) importUtil.getCellValue(row,14));
                    reserveManagement.setNetRackProjectDivide((String) importUtil.getCellValue(row,15));
                    reserveManagement.setRequirementType((String) importUtil.getCellValue(row,16));

                    String costEstimateStr = importUtil.getCellValue(row,17).toString();
                    if(StringUtils.isNotBlank(costEstimateStr)){
                        reserveManagement.setCostEstimate(costEstimateStr);
                    }
                    reserveManagement.setBasicRemarks((String) importUtil.getCellValue(row,18));
                    reserveManagement.setReserveProgress((String) importUtil.getCellValue(row,19));
                    reserveManagement.setTransmissionWork((String) importUtil.getCellValue(row,20));
                    reserveManagement.setWorkDescribe((String) importUtil.getCellValue(row,21));
                    reserveManagement.setTransmissionErection((String) importUtil.getCellValue(row,22));
                    reserveManagement.setErecteDescribe((String) importUtil.getCellValue(row,23));
                    reserveManagement.setTransmissionCommonTrench((String) importUtil.getCellValue(row,24));
                    reserveManagement.setTrenchDescribe((String) importUtil.getCellValue(row,25));
                    reserveManagement.setMediumVoltageWork((String) importUtil.getCellValue(row,26));
                    reserveManagement.setVoltageWorkDescribe((String) importUtil.getCellValue(row,27));
                    reserveManagement.setConfineSpaceWork((String) importUtil.getCellValue(row,28));
                    reserveManagement.setSpaceDescribe((String) importUtil.getCellValue(row,29));
                    reserveManagement.setSubStationCableBonding((String) importUtil.getCellValue(row,30));
                    reserveManagement.setCableDescribe((String) importUtil.getCellValue(row,31));
                    reserveManagement.setRoadRailwaysAndWaterwaysWork((String) importUtil.getCellValue(row,32));
                    reserveManagement.setWaterDescribe((String) importUtil.getCellValue(row,33));
                    reserveManagement.setHotWork((String) importUtil.getCellValue(row,34));
                    reserveManagement.setHotWorkDescribe((String) importUtil.getCellValue(row,35));
                    reserveManagement.setBlackoutLineFour((String) importUtil.getCellValue(row,36));
                    reserveManagement.setLineFourDescribe((String) importUtil.getCellValue(row,37));
                    reserveManagement.setLineLoadRedirectionThree((String) importUtil.getCellValue(row,38));
                    reserveManagement.setThreeRedirectDescribe((String) importUtil.getCellValue(row,39));
                    reserveManagement.setLargeScaleMultiTeamWork((String) importUtil.getCellValue(row,40));
                    reserveManagement.setTeamWorkDescribe((String) importUtil.getCellValue(row,41));
                    reserveManagement.setPrepareThreeMeasures((String) importUtil.getCellValue(row,42));
                    reserveManagement.setMeasureDescribe((String) importUtil.getCellValue(row,43));
                    reserveManagement.setJobRiskLevelPrediction((String) importUtil.getCellValue(row,44));




                    if (list.size() == 0){
                        list.add(reserveManagement);
                        /*wgList.add(reserveManagement.getGridNumber());
                        dygList.add(reserveManagement.getCellNumber());*/
                        cbbhList.add(reserveManagement.getProjectReserveId());
                        nameList.add(reserveManagement.getProjectName());
                        jsList.add(reserveManagement.getConstructionNecessityAndContent());
                    }else {
                        if (/*!wgList.contains(reserveManagement.getGridNumber())
                                & !dygList.contains(reserveManagement.getCellNumber())
                                &*/ !cbbhList.contains(reserveManagement.getProjectReserveId())
                                & !nameList.contains(reserveManagement.getProjectName())
                                & ! jsList.contains(reserveManagement.getConstructionNecessityAndContent())){
                            list.add(reserveManagement);
                            /*wgList.add(reserveManagement.getGridNumber());
                            dygList.add(reserveManagement.getCellNumber());*/
                            cbbhList.add(reserveManagement.getProjectReserveId());
                            nameList.add(reserveManagement.getProjectName());
                            jsList.add(reserveManagement.getConstructionNecessityAndContent());
                        }
                    }

                }
            }
        }
        return list;
    }

    /**
     * 获取储备项目预土建制化信息表格数据
     * @param importUtil
     * @return List<ReserveManagementMapper> 导入表格数据
     */
    public static List<ReservePreconstruction> getPreconstUtil(ImportUtil importUtil) throws ParseException {
        int lastRow = importUtil.getLastDataRowNum();
        List<ReservePreconstruction> list = new ArrayList<ReservePreconstruction>();
        //网格编号唯一性判断
//        List<String> wgList = new ArrayList<>();
        //单元格编号唯一性判断
//        List<String> dygList = new ArrayList<>();
        //项目储备编号唯一性判断
        List<String> cbbhList = new ArrayList<>();
        //项目名称唯一性判断
        List<String> nameList = new ArrayList<>();
        //建设必要性及内容
        List<String> jsList = new ArrayList<>();
        ReservePreconstruction reserveManagement = null;
        for(int i=3; i<=lastRow;i++){
            reserveManagement = new ReservePreconstruction();
            Row row = importUtil.getRow(i);
            //储备人员流转信息
            Row cbRow = importUtil.getRow(3);
            String reserveProjectName = (String) importUtil.getCellValue(row,0);
            //获取项目储备编号
            String projectReserveId = (String) importUtil.getCellValue(row, 10);
            if(StringUtils.isNotBlank(reserveProjectName) ) {
                if(StringUtils.isNotBlank(projectReserveId)){

                    reserveManagement.setProjectYear((String) importUtil.getCellValue(row,1));
                    reserveManagement.setProjectNature((String) importUtil.getCellValue(row,2));
                    reserveManagement.setDemandUnit((String) importUtil.getCellValue(row,3));
                    reserveManagement.setDistrict((String) importUtil.getCellValue(row,4));
                    reserveManagement.setProjectGroup((String) importUtil.getCellValue(row,5));
                    reserveManagement.setReserveBatches((String) importUtil.getCellValue(row,6));
                    reserveManagement.setBlockSupply((String) importUtil.getCellValue(row,7));
                    reserveManagement.setGridNumber((String) importUtil.getCellValue(row,8));

                    reserveManagement.setCellNumber((String) importUtil.getCellValue(row,9));

                    reserveManagement.setProjectReserveId((String) importUtil.getCellValue(row,10));

                    reserveManagement.setProjectName((String) importUtil.getCellValue(row,11));

                    reserveManagement.setConstructionNecessityAndContent((String) importUtil.getCellValue(row,12));

                    reserveManagement.setSubstationName((String) importUtil.getCellValue(row,13));
                    reserveManagement.setCircuitName((String) importUtil.getCellValue(row,14));
                    reserveManagement.setNetRackProjectDivide((String) importUtil.getCellValue(row,15));
                    reserveManagement.setRequirementType((String) importUtil.getCellValue(row,16));

                    String costEstimateStr = importUtil.getCellValue(row,17).toString();
                    if(StringUtils.isNotBlank(costEstimateStr)){
                        reserveManagement.setCostEstimate(costEstimateStr);
                    }
                    reserveManagement.setBasicRemarks((String) importUtil.getCellValue(row,18));
                    reserveManagement.setReserveProgress((String) importUtil.getCellValue(row,19));
                    /*reserveManagement.setImplementPlan((String) importUtil.getCellValue(row,20));
                    reserveManagement.setImplementBatch((String) importUtil.getCellValue(row,21));*/
                    reserveManagement.setConfessCivilFoundation((String) importUtil.getCellValue(row,22));
                    reserveManagement.setConfessPrefab((String) importUtil.getCellValue(row,23));
                    reserveManagement.setConfessPrefabDescription((String) importUtil.getCellValue(row,24));
                    reserveManagement.setDesignCivilFoundation((String) importUtil.getCellValue(row,25));
                    reserveManagement.setDesignPrefab((String) importUtil.getCellValue(row,26));
                    reserveManagement.setDesignPrefabDescription((String) importUtil.getCellValue(row,27));


                    if (list.size() == 0){
                        list.add(reserveManagement);
                       /* wgList.add(reserveManagement.getGridNumber());
                        dygList.add(reserveManagement.getCellNumber());*/
                        cbbhList.add(reserveManagement.getProjectReserveId());
                        nameList.add(reserveManagement.getProjectName());
                        jsList.add(reserveManagement.getConstructionNecessityAndContent());
                    }else {
                        if (/*!wgList.contains(reserveManagement.getGridNumber())
                                & !dygList.contains(reserveManagement.getCellNumber())
                                &*/ !cbbhList.contains(reserveManagement.getProjectReserveId())
                                & !nameList.contains(reserveManagement.getProjectName())
                                & ! jsList.contains(reserveManagement.getConstructionNecessityAndContent())){
                            list.add(reserveManagement);
                            /*wgList.add(reserveManagement.getGridNumber());
                            dygList.add(reserveManagement.getCellNumber());*/
                            cbbhList.add(reserveManagement.getProjectReserveId());
                            nameList.add(reserveManagement.getProjectName());
                            jsList.add(reserveManagement.getConstructionNecessityAndContent());
                        }
                    }

                }
            }
        }
        return list;
    }

    /**
     * 获取储备项目政策处理信息表格数据
     * @param importUtil
     * @return List<ReserveManagementMapper> 导入表格数据
     */
    public static List<ReservePolicyHand> getPolicyUtil(ImportUtil importUtil) throws ParseException {
        int lastRow = importUtil.getLastDataRowNum();
        List<ReservePolicyHand> list = new ArrayList<ReservePolicyHand>();
        //网格编号唯一性判断
//        List<String> wgList = new ArrayList<>();
        //单元格编号唯一性判断
//        List<String> dygList = new ArrayList<>();
        //项目储备编号唯一性判断
        List<String> cbbhList = new ArrayList<>();
        //项目名称唯一性判断
        List<String> nameList = new ArrayList<>();
        //建设必要性及内容
        List<String> jsList = new ArrayList<>();
        ReservePolicyHand reserveManagement = null;
        for(int i=2; i<=lastRow;i++){
            reserveManagement = new ReservePolicyHand();
            Row row = importUtil.getRow(i);
            //储备人员流转信息
            Row cbRow = importUtil.getRow(3);
            String reserveProjectName = (String) importUtil.getCellValue(row,0);
            //获取项目储备编号
            String projectReserveId = (String) importUtil.getCellValue(row, 10);
            if(StringUtils.isNotBlank(reserveProjectName) ) {
                if(StringUtils.isNotBlank(projectReserveId)){

                    reserveManagement.setProjectYear((String) importUtil.getCellValue(row,1));
                    reserveManagement.setProjectNature((String) importUtil.getCellValue(row,2));
                    reserveManagement.setDemandUnit((String) importUtil.getCellValue(row,3));
                    reserveManagement.setDistrict((String) importUtil.getCellValue(row,4));
                    reserveManagement.setProjectGroup((String) importUtil.getCellValue(row,5));
                    reserveManagement.setReserveBatches((String) importUtil.getCellValue(row,6));
                    reserveManagement.setBlockSupply((String) importUtil.getCellValue(row,7));
                    reserveManagement.setGridNumber((String) importUtil.getCellValue(row,8));

                    reserveManagement.setCellNumber((String) importUtil.getCellValue(row,9));

                    reserveManagement.setProjectReserveId((String) importUtil.getCellValue(row,10));

                    reserveManagement.setProjectName((String) importUtil.getCellValue(row,11));

                    reserveManagement.setConstructionNecessityAndContent((String) importUtil.getCellValue(row,12));

                    reserveManagement.setSubstationName((String) importUtil.getCellValue(row,13));
                    reserveManagement.setCircuitName((String) importUtil.getCellValue(row,14));
                    reserveManagement.setNetRackProjectDivide((String) importUtil.getCellValue(row,15));
                    reserveManagement.setRequirementType((String) importUtil.getCellValue(row,16));

                    String costEstimateStr = importUtil.getCellValue(row,17).toString();
                    if(StringUtils.isNotBlank(costEstimateStr)){
                        reserveManagement.setCostEstimate(costEstimateStr);
                    }
                    reserveManagement.setBasicRemarks((String) importUtil.getCellValue(row,18));
                    reserveManagement.setReserveProgress((String) importUtil.getCellValue(row,19));
                    reserveManagement.setPowerSupplyArea((String) importUtil.getCellValue(row,22));
                    reserveManagement.setConstructionSpot((String) importUtil.getCellValue(row,23));
                    reserveManagement.setIncludeCivilWork((String) importUtil.getCellValue(row,24));
                    reserveManagement.setPoleWorkload((String) importUtil.getCellValue(row,25));
                    reserveManagement.setProposedConstructionUnit((String) importUtil.getCellValue(row,27));
                    reserveManagement.setOverToGovernment((String) importUtil.getCellValue(row,28));
                    reserveManagement.setGovernmentOffice((String) importUtil.getCellValue(row,29));
                    reserveManagement.setOfficeDescription((String) importUtil.getCellValue(row,30));
                    reserveManagement.setAdministrativeDifficulty((String) importUtil.getCellValue(row,31));
                    reserveManagement.setAdministrativeObjectNumber((String) importUtil.getCellValue(row,32));
                    reserveManagement.setPropertyUnitOfficeDescription((String) importUtil.getCellValue(row,33));
                    reserveManagement.setOfficeType((String) importUtil.getCellValue(row,34));
                    //启动政处时间
                    Date date = new Date();
                    SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
                    String dateTime = format.format(date);
                    System.out.println("dateTime: " + dateTime);
                    reserveManagement.setStartOfficeTime(dateTime);
                    reserveManagement.setPlanApprovalRequire((String) importUtil.getCellValue(row,36));
                    reserveManagement.setPlanApprovalCompletion((String) importUtil.getCellValue(row,37));
                    reserveManagement.setSafetyReview((String) importUtil.getCellValue(row,38));
                    reserveManagement.setSafetyReviewCompletion((String) importUtil.getCellValue(row,39));
                    reserveManagement.setOfficeAmount((String) importUtil.getCellValue(row,40));
                    reserveManagement.setPaymentCompleted((String) importUtil.getCellValue(row,41));
                    reserveManagement.setOfficeProgress((String) importUtil.getCellValue(row,42));
                    reserveManagement.setCivilEngineeringApproach((String) importUtil.getCellValue(row,43));
                    reserveManagement.setElectricApproach((String) importUtil.getCellValue(row,44));
                    reserveManagement.setCivilConstructionMaterialOpen((String) importUtil.getCellValue(row,45));
                    reserveManagement.setElectricalPickListOpen((String) importUtil.getCellValue(row,46));
                    reserveManagement.setAdministrativeOfficeRemark((String) importUtil.getCellValue(row,47));


                    if (list.size() == 0){
                        list.add(reserveManagement);
                        /*wgList.add(reserveManagement.getGridNumber());
                        dygList.add(reserveManagement.getCellNumber());*/
                        cbbhList.add(reserveManagement.getProjectReserveId());
                        nameList.add(reserveManagement.getProjectName());
                        jsList.add(reserveManagement.getConstructionNecessityAndContent());
                    }else {
                        if (/*!wgList.contains(reserveManagement.getGridNumber())
                                & !dygList.contains(reserveManagement.getCellNumber())
                                &*/ !cbbhList.contains(reserveManagement.getProjectReserveId())
                                & !nameList.contains(reserveManagement.getProjectName())
                                & ! jsList.contains(reserveManagement.getConstructionNecessityAndContent())){
                            list.add(reserveManagement);
                            /*wgList.add(reserveManagement.getGridNumber());
                            dygList.add(reserveManagement.getCellNumber());*/
                            cbbhList.add(reserveManagement.getProjectReserveId());
                            nameList.add(reserveManagement.getProjectName());
                            jsList.add(reserveManagement.getConstructionNecessityAndContent());
                        }
                    }

                }
            }
        }
        return list;
    }

    /**
     * 获取储备项目政策处理信息表格数据
     * @param importUtil
     * @return List<ReserveManagementMapper> 导入表格数据
     */
    public static List<ReserveSummary> getSummaryUtil(ImportUtil importUtil) throws ParseException {
        int lastRow = importUtil.getLastDataRowNum();
        List<ReserveSummary> list = new ArrayList<ReserveSummary>();
        //网格编号唯一性判断
//        List<String> wgList = new ArrayList<>();
        //单元格编号唯一性判断
//        List<String> dygList = new ArrayList<>();
        //项目储备编号唯一性判断
        List<String> cbbhList = new ArrayList<>();
        //项目名称唯一性判断
        List<String> nameList = new ArrayList<>();
        //建设必要性及内容
        List<String> jsList = new ArrayList<>();
        ReserveSummary reserveManagement = null;
        for(int i=2; i<=lastRow;i++){
            reserveManagement = new ReserveSummary();
            Row row = importUtil.getRow(i);
            //储备人员流转信息
            Row cbRow = importUtil.getRow(3);
            String reserveProjectName = (String) importUtil.getCellValue(row,0);
            //获取项目储备编号
            String projectReserveId = (String) importUtil.getCellValue(row, 10);
            if(StringUtils.isNotBlank(reserveProjectName) ) {
                if(StringUtils.isNotBlank(projectReserveId)){

                    reserveManagement.setProjectYear((String) importUtil.getCellValue(row,1));
                    reserveManagement.setProjectNature((String) importUtil.getCellValue(row,2));
                    reserveManagement.setDemandUnit((String) importUtil.getCellValue(row,3));
                    reserveManagement.setDistrict((String) importUtil.getCellValue(row,4));
                    reserveManagement.setProjectGroup((String) importUtil.getCellValue(row,5));
                    reserveManagement.setReserveBatches((String) importUtil.getCellValue(row,7));
                    reserveManagement.setBlockSupply((String) importUtil.getCellValue(row,8));
                    reserveManagement.setGridNumber((String) importUtil.getCellValue(row,9));

                    reserveManagement.setCellNumber((String) importUtil.getCellValue(row,10));

                    reserveManagement.setProjectReserveId((String) importUtil.getCellValue(row,11));

                    reserveManagement.setProjectName((String) importUtil.getCellValue(row,12));

                    reserveManagement.setConstructionNecessityAndContent((String) importUtil.getCellValue(row,13));

                    reserveManagement.setSubstationName((String) importUtil.getCellValue(row,14));
                    reserveManagement.setCircuitName((String) importUtil.getCellValue(row,15));
                    reserveManagement.setNetRackProjectDivide((String) importUtil.getCellValue(row,16));
                    reserveManagement.setRequirementType((String) importUtil.getCellValue(row,17));

                    String costEstimateStr = importUtil.getCellValue(row,19).toString();
                    if(StringUtils.isNotBlank(costEstimateStr)){
                        reserveManagement.setCostEstimate(costEstimateStr);
                    }
                    reserveManagement.setBasicRemarks((String) importUtil.getCellValue(row,23));
                    reserveManagement.setReserveProgress((String) importUtil.getCellValue(row,24));
                    reserveManagement.setIncludeReserve((String) importUtil.getCellValue(row,25));
                    reserveManagement.setMajorProblemClassification((String) importUtil.getCellValue(row,26));
                    reserveManagement.setProblemDescription((String) importUtil.getCellValue(row,27));
                    reserveManagement.setChangePlan((String) importUtil.getCellValue(row,28));
                    reserveManagement.setProgramChangeDescription((String) importUtil.getCellValue(row,29));
                    reserveManagement.setCancelConfirmationDepartment((String) importUtil.getCellValue(row,32));
                    reserveManagement.setTruthRemark((String) importUtil.getCellValue(row,33));
                    reserveManagement.setDemandUnitPriority((String) importUtil.getCellValue(row,34));
                    reserveManagement.setImplementPlan((String) importUtil.getCellValue(row,35));
                    reserveManagement.setInitialImplementBatch((String) importUtil.getCellValue(row,36));
                    reserveManagement.setPreliminaryConstructionUnit((String) importUtil.getCellValue(row,37));
                    reserveManagement.setPreliminaryConstructionUnitProjectManager((String) importUtil.getCellValue(row,38));
                    reserveManagement.setHandConstructionSketches((String) importUtil.getCellValue(row,39));

                    /*if (list.size() == 0){
                        list.add(reserveManagement);
                        cbbhList.add(reserveManagement.getProjectReserveId());
                    }else {
                        if (!cbbhList.contains(reserveManagement.getProjectReserveId())){
                            list.add(reserveManagement);
                            cbbhList.add(reserveManagement.getProjectReserveId());
                        }
                    }*/

                    if (list.size() == 0){
                        list.add(reserveManagement);
                        /*wgList.add(reserveManagement.getGridNumber());
                        dygList.add(reserveManagement.getCellNumber());*/
                        cbbhList.add(reserveManagement.getProjectReserveId());
                        nameList.add(reserveManagement.getProjectName());
                        jsList.add(reserveManagement.getConstructionNecessityAndContent());
                    }else {
                        if (/*!wgList.contains(reserveManagement.getGridNumber())
                                & !dygList.contains(reserveManagement.getCellNumber())
                                &*/ !cbbhList.contains(reserveManagement.getProjectReserveId())
                                & !nameList.contains(reserveManagement.getProjectName())
                                & ! jsList.contains(reserveManagement.getConstructionNecessityAndContent())){
                            list.add(reserveManagement);
                            /*wgList.add(reserveManagement.getGridNumber());
                            dygList.add(reserveManagement.getCellNumber());*/
                            cbbhList.add(reserveManagement.getProjectReserveId());
                            nameList.add(reserveManagement.getProjectName());
                            jsList.add(reserveManagement.getConstructionNecessityAndContent());
                        }
                    }

                }
            }
        }
        return list;
    }

    /**
     * 获取储备项目政策处理信息表格数据
     * @param importUtil
     * @return List<ReserveManagementMapper> 导入表格数据
     */
    public static List<Demolite> getDemoliteUtil(ImportUtil importUtil,String projectReserveId) throws ParseException {
        int lastRow = importUtil.getLastDataRowNum();
        List<Demolite> list = new ArrayList<Demolite>();

        Demolite reserveManagement = null;
        for(int i=1; i<=lastRow;i++){
            reserveManagement = new Demolite();
            Row row = importUtil.getRow(i);

            reserveManagement.setName((String) importUtil.getCellValue(row,1));
            reserveManagement.setSpecification((String) importUtil.getCellValue(row,2));
            reserveManagement.setUnit((String) importUtil.getCellValue(row,3));
            reserveManagement.setCount((String) importUtil.getCellValue(row,4));
            reserveManagement.setRemark((String) importUtil.getCellValue(row,5));
            reserveManagement.setProjectReserveId(projectReserveId);
            list.add(reserveManagement);
        }
        return list;
    }
}
