package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.web;

import com.jeeplus.common.config.Global;
import com.jeeplus.common.json.AjaxJson;
import com.jeeplus.common.utils.DateUtils;
import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.common.utils.excel.ExportExcel;
import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.web.BaseController;
import com.jeeplus.modules.act.entity.Act;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.Demolite;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.MaterialSupply;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.ReserveSummaryProcess;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.service.DemoliteService;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.service.FeedBackBudgetService;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.service.MaterialSupplyService;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.service.ReserveSummaryProcessService;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.utils.ReserveProcessProjectProUtil;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialInfo;
import com.jeeplus.modules.sg.managementcenter.materialproject.util.ImportUtil;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ReserveProcess;
import com.jeeplus.modules.sg.raiseCapital.service.RaiseCapitalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mock.web.MockMultipartFile;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.util.List;
import java.util.Map;

/**
 * @author: 王强
 * @create: 2022-08-03 10:33
 **/
@Controller
@RequestMapping(value = "${adminPath}/cg/reservemanagementcenter/process")
public class ProcessController extends BaseController {

    @Autowired
    private ReserveSummaryProcessService reserveProcessService;

    @Autowired
    private DemoliteService demoliteService;

    @Autowired
    private FeedBackBudgetService budgetService;

    @Autowired
    private RaiseCapitalService raiseCapitalService;

    @Autowired
    private MaterialSupplyService materialSupplyService;

    @ModelAttribute
    public ReserveSummaryProcess get(@RequestParam(required = false) String id) {
        ReserveSummaryProcess entity = null;
        if (StringUtils.isNotBlank(id)) {
            entity = reserveProcessService.get(id);
        }
        if (entity == null) {
            entity = new ReserveSummaryProcess();
        }
        return entity;
    }

    /**
     * 设计单位审核
     */
    @RequestMapping(value = "designUnit")
    public String designUnit(ReserveSummaryProcess reserveProcess, Model model) {
        model.addAttribute("reserveProcess", reserveProcess);
        return "modules/cg/reservemanagementcenter/reserveManage/summaryStatistics/designUnit";
    }

    /**
     * 设计单位审核-上传预算书
     */
    @RequestMapping(value = "designUnitAgain")
    public String designUnitAgain(ReserveSummaryProcess reserveProcess, Model model) {
        model.addAttribute("reserveProcess", reserveProcess);
        return "modules/cg/reservemanagementcenter/reserveManage/summaryStatistics/designUnitAgain";
    }

    /**
     * 设计单位审核-上传预算书,查看驳回意见
     */
    @RequestMapping(value = "designUnitAgainTwo")
    public String designUnitAgainTwo(ReserveSummaryProcess reserveProcess, Model model) {
        model.addAttribute("reserveProcess", reserveProcess);
        return "modules/cg/reservemanagementcenter/reserveManage/summaryStatistics/designUnitAgainTwo";
    }

    /**
     * 联合审图（储备专职/配网项目经理）
     */
    @RequestMapping(value = "drawingReview")
    public String drawingReview(ReserveSummaryProcess reserveProcess, Model model) {
        model.addAttribute("reserveProcess", reserveProcess);
        return "modules/cg/reservemanagementcenter/reserveManage/summaryStatistics/drawingReview";
    }

    /**
     * 技经人员审预算
     */
    @RequestMapping(value = "budgetReview")
    public String budgetReview(ReserveSummaryProcess reserveProcess, Model model) {
        reserveProcess.setPreferedCase("");
        reserveProcess.setTransferSituation("");
        reserveProcess.setBudgetTemplateCheck("");
        reserveProcess.setQuotaApplicationCheck("");
        reserveProcess.setWorkLoadCheck("");
        reserveProcess.setCheckTheFee("");
        reserveProcess.setSupplyCheck("");
        reserveProcess.setMaterialCheck("");
        reserveProcess.setLiveWorkFeeCheck("");
        reserveProcess.setDemolitionEngineeringProblems("");
        reserveProcess.setOtherProblem("");
        model.addAttribute("reserveProcess", reserveProcess);
        return "modules/cg/reservemanagementcenter/reserveManage/summaryStatistics/budgetReview";
    }

    /**
     * 年度物资上报明细 多文件导入验证
     */
    @ResponseBody
    @RequestMapping(value = "importCGValidations")
    public AjaxJson importCGValidations(@RequestParam("file") MultipartFile[] file) {
        AjaxJson j = new AjaxJson();

        try {
            for (int k = 0; k < file.length; k++) {
                reserveProcessService.saveData(file[k]);
            }
            j.setSuccess(true);
            j.setErrorCode("0");
            j.setMsg("导入成功");
        } catch (Exception e) {
            j.setSuccess(true);
            j.setMsg("导入失败！失败信息：" + e.getMessage());
        }
        return j;
    }

    /***
     * 设计单位审核
     * */
    @ResponseBody
    @RequestMapping(value = "actDesignUnit")
    public AjaxJson actDesignUnit(Act act, ReserveSummaryProcess reserveProcess) throws Exception {
        AjaxJson j = new AjaxJson();
        if (reserveProcess.getDemolition() != null) {
            //在将拆旧清册数据存入数据库前先查出库中有没有这个project ReserveId的相关数据
            String projectReserveId = reserveProcess.getProjectReserveId();
            demoliteService.deleteByProjectReserveId(projectReserveId);
            //获取拆旧清册数据
            File file = new File(reserveProcess.getDemolition());
            System.out.println("file.getAbsolutePath()：" + file.getAbsolutePath());
            String path = file.getAbsolutePath().replace("\\a", "");
            System.out.println("path: " + path);
            File demoFile = new File(path);

            InputStream inputStream = new FileInputStream(demoFile);
            MultipartFile multipartFile = new MockMultipartFile("file", demoFile.getName(), null, inputStream);
            ImportUtil importUtil = new ImportUtil(multipartFile, 0, 0);
            //获取导入表格所有数据
            List<Demolite> reserveManagementList = ReserveProcessProjectProUtil.getDemoliteUtil(importUtil, projectReserveId);
            //将数据存入数据库
            demoliteService.insertList(reserveManagementList);
        }
        String flag = act.getFlag();
        try {
            String comment = URLDecoder.decode(act.getComment(), "UTF-8");
            act.setComment(comment);
            if ("yes".equals(flag)) {
                //通过流程流程定义号查询项目编码，查询是否存在甲供材信息
                Integer materialData = reserveProcessService.findMaterialData(act.getProcInsId());
                if (materialData <= 0) {
                    j.setMsg("该项目没有甲供材清册");
                    j.setSuccess(false);
                    return j;
                } else {
                    //修改项目设计单位上传文件部分
                    reserveProcessService.updateDesign(reserveProcess);
                    reserveProcessService.actDesignUnit(act, reserveProcess);
                }
            } else {
                reserveProcessService.actDesignUnit(act, reserveProcess);
            }
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        j.setMsg("审批成功");
        return j;
    }

    /**
     * 储备流程，文件显示管理
     */
    @ResponseBody
    @RequestMapping(value = "allUploadData")
    public Map<String, Object> allUploadData(ReserveSummaryProcess reserveProcess, HttpServletRequest request, HttpServletResponse response, Model model) {
        Page<ReserveSummaryProcess> page = reserveProcessService.findAllUploadPage(new Page<ReserveSummaryProcess>(request, response), reserveProcess);
        //当判定系统为linux的时候
        if (Global.SYS_TYPE.equals("2")) {
            List<ReserveSummaryProcess> list = page.getList();
            for (ReserveSummaryProcess upload :
                    list) {
                String a = "";
                String b = "";
                String c = "";
                String d = "";
                String path = upload.getBudgetStatement();
                if (null != path && !"".equals(path)) {
                    String[] split = path.split("\\|");
                    for (int i = 0; i < split.length; i++) {
                        a += "http://" + request.getServerName() + split[i] + "|";
                    }
                    upload.setBudgetStatement(a);
                }

                String projectProposal = upload.getProjectProposal();
                if (null != projectProposal && !"".equals(projectProposal)) {
                    String[] split1 = projectProposal.split("\\|");
                    for (int i = 0; i < split1.length; i++) {
                        b += "http://" + request.getServerName() + split1[i] + "|";
                    }
                    upload.setProjectProposal(b);
                }

                String drawings = upload.getDrawings();
                if (null != drawings && !"".equals(drawings)) {
                    String[] split2 = drawings.split("\\|");
                    for (int i = 0; i < split2.length; i++) {
                        c += "http://" + request.getServerName() + split2[i] + "|";
                    }
                    upload.setDrawings(c);
                }

                String drawingSpecification = upload.getDrawingSpecification();
                if (null != drawingSpecification && !"".equals(drawingSpecification)) {
                    String[] split3 = drawingSpecification.split("\\|");
                    for (int i = 0; i < split3.length; i++) {
                        d += "http://" + request.getServerName() + split3[i] + "|";
                    }
                    upload.setDrawingSpecification(d);
                }
            }
        }
        return getBootstrapData(page);
    }

    /**
     * 甲供材 列表数据
     */
    @ResponseBody
    @RequestMapping(value = "materialData")
    public Map<String, Object> data(MaterialInfo materialInfo, HttpServletRequest request, HttpServletResponse response, Model model) {
        Page<MaterialInfo> page = reserveProcessService.findMaterialPage(new Page<MaterialInfo>(request, response), materialInfo);
        return getBootstrapData(page);
    }

    @ResponseBody
    @RequestMapping(value = "exportAct")
    public AjaxJson exportAct(String projectName, ReserveProcess reserveProcess, HttpServletRequest request, HttpServletResponse response) {
        AjaxJson j = new AjaxJson();
        try {
            String fileName = "甲供材清册" + DateUtils.getDate("yyyyMMddHHmmss") + ".xlsx";
            List<MaterialInfo> list = reserveProcessService.findMaterialActiviti(projectName);
            new ExportExcel("甲供材清册", MaterialInfo.class).setDataList(list).write(response, fileName).dispose();
            j.setSuccess(true);
            j.setMsg("导出成功！");
            return j;
        } catch (Exception e) {
            j.setSuccess(false);
            j.setMsg("导出甲供材清册失败！失败信息：" + e.getMessage());
        }
        return j;
    }

    /***
     * 联合审图（储备专职/配网项目经理）
     * */
    @ResponseBody
    @RequestMapping(value = "actDrawingReview")
    public AjaxJson actDrawingReview(Act act) {
        AjaxJson j = new AjaxJson();
        try {
            String comment = URLDecoder.decode(act.getComment(), "UTF-8");
            act.setComment(comment);
            reserveProcessService.actDrawingReview(act);
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        j.setMsg("审批成功");
        return j;
    }

    /***
     * 技经人员审核
     * */
    @ResponseBody
    @RequestMapping(value = "actBudgetUnit")
    public AjaxJson actBudgetUnit(Act act, ReserveSummaryProcess reserveProcess) throws Exception {
        AjaxJson j = new AjaxJson();

        try {
            String comment = URLDecoder.decode(act.getComment(), "UTF-8");
            act.setComment(comment);
            reserveProcessService.actBudgetUnit(act,reserveProcess);
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        j.setMsg("审批成功");
        return j;
    }

    @ResponseBody
    @RequestMapping(value = "saveJgc")
    public void saveJgc(@RequestBody List<MaterialSupply> materialSupplyList){
        materialSupplyService.insertList(materialSupplyList);
    }
}
