package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 储备项目概预算统计表
 * @author: 王强
 * @create: 2022-08-16 09:11
 **/
public class BudgetStats extends DataEntity<BudgetStats> {

    private String reserveProgress;                     //储备进度
    private String implementPlan;                       //是否纳入实施计划
    private String implementBatch;                      //初定实施批次
    private String projectReserveId;                    //项目储备编号
    private String pretrialEstimateAmount;              //概算信息（审前）- 总概算金额（含税）
    private String pretrialEstimateAmountExcludeTax;    //概算信息（审前）- 总概算金额（不含税）
    private String pretrialDeductibleAmount;            //概算信息（审前）- 可抵扣金额（税金）
    private String pretrialConstructeConsts;            //概算信息（审前）- 施工费（含税）
    private String pretrialMaterialAmount;              //概算信息（审前）- 甲供物资金额（含税）
    private String pretrialOtherExpanses;               //概算信息（审前）- 其他费用（含税）
    private String pretrialPreliminaryConstructeFee;    //概算信息（审前）- 前期工程费（含税）
    private String pretrialSurveyFee;                   //概算信息（审前）- 勘察费（含税）
    private String pretrialDesignFee;                   //概算信息（审前）- 设计费（含税）
    private String pretrialSupervisionFee;              //概算信息（审前）- 监理费（含税）
    private String afterTrialEstimateAmount;            //概算信息（审后）- 总概算金额（含税）
    private String afterTrialEstimateAmountExcludeTax;  //概算信息（审后）- 总概算金额（不含税）
    private String afterTrialDeductibleAmount;          //概算信息（审后）- 可抵扣金额（税金）
    private String afterTrialConstructeConsts;          //概算信息（审后）- 施工费（含税）
    private String afterTrialMaterialAmount;            //概算信息（审后）- 甲供物资金额（含税）
    private String afterTrialOtherExpanses;             //概算信息（审后）- 其他费用（含税）
    private String afterTrialPreliminaryConstructeFee;  //概算信息（审后）- 前期工程费（含税）
    private String afterTrialSurveyFee;                 //概算信息（审后）- 勘察费（含税）
    private String afterTrialDesignFee;                 //概算信息（审后）- 设计费（含税）
    private String afterTrialSupervisionFee;            //概算信息（审后）- 监理费（含税）
    private String budgetRevision;                      //是否完成概算修改
    private String completeTime;                        //概算修改完成时间

    //储备项目基本信息
    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String costEstimate;             //费用估算
    private String basicRemarks;             //备注


    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getImplementPlan() {
        return implementPlan;
    }

    public void setImplementPlan(String implementPlan) {
        this.implementPlan = implementPlan;
    }

    public String getImplementBatch() {
        return implementBatch;
    }

    public void setImplementBatch(String implementBatch) {
        this.implementBatch = implementBatch;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getPretrialEstimateAmount() {
        return pretrialEstimateAmount;
    }

    public void setPretrialEstimateAmount(String pretrialEstimateAmount) {
        this.pretrialEstimateAmount = pretrialEstimateAmount;
    }

    public String getPretrialEstimateAmountExcludeTax() {
        return pretrialEstimateAmountExcludeTax;
    }

    public void setPretrialEstimateAmountExcludeTax(String pretrialEstimateAmountExcludeTax) {
        this.pretrialEstimateAmountExcludeTax = pretrialEstimateAmountExcludeTax;
    }

    public String getPretrialDeductibleAmount() {
        return pretrialDeductibleAmount;
    }

    public void setPretrialDeductibleAmount(String pretrialDeductibleAmount) {
        this.pretrialDeductibleAmount = pretrialDeductibleAmount;
    }

    public String getPretrialConstructeConsts() {
        return pretrialConstructeConsts;
    }

    public void setPretrialConstructeConsts(String pretrialConstructeConsts) {
        this.pretrialConstructeConsts = pretrialConstructeConsts;
    }

    public String getPretrialMaterialAmount() {
        return pretrialMaterialAmount;
    }

    public void setPretrialMaterialAmount(String pretrialMaterialAmount) {
        this.pretrialMaterialAmount = pretrialMaterialAmount;
    }

    public String getPretrialOtherExpanses() {
        return pretrialOtherExpanses;
    }

    public void setPretrialOtherExpanses(String pretrialOtherExpanses) {
        this.pretrialOtherExpanses = pretrialOtherExpanses;
    }

    public String getPretrialPreliminaryConstructeFee() {
        return pretrialPreliminaryConstructeFee;
    }

    public void setPretrialPreliminaryConstructeFee(String pretrialPreliminaryConstructeFee) {
        this.pretrialPreliminaryConstructeFee = pretrialPreliminaryConstructeFee;
    }

    public String getPretrialSurveyFee() {
        return pretrialSurveyFee;
    }

    public void setPretrialSurveyFee(String pretrialSurveyFee) {
        this.pretrialSurveyFee = pretrialSurveyFee;
    }

    public String getPretrialDesignFee() {
        return pretrialDesignFee;
    }

    public void setPretrialDesignFee(String pretrialDesignFee) {
        this.pretrialDesignFee = pretrialDesignFee;
    }

    public String getPretrialSupervisionFee() {
        return pretrialSupervisionFee;
    }

    public void setPretrialSupervisionFee(String pretrialSupervisionFee) {
        this.pretrialSupervisionFee = pretrialSupervisionFee;
    }

    public String getAfterTrialEstimateAmount() {
        return afterTrialEstimateAmount;
    }

    public void setAfterTrialEstimateAmount(String afterTrialEstimateAmount) {
        this.afterTrialEstimateAmount = afterTrialEstimateAmount;
    }

    public String getAfterTrialEstimateAmountExcludeTax() {
        return afterTrialEstimateAmountExcludeTax;
    }

    public void setAfterTrialEstimateAmountExcludeTax(String afterTrialEstimateAmountExcludeTax) {
        this.afterTrialEstimateAmountExcludeTax = afterTrialEstimateAmountExcludeTax;
    }

    public String getAfterTrialDeductibleAmount() {
        return afterTrialDeductibleAmount;
    }

    public void setAfterTrialDeductibleAmount(String afterTrialDeductibleAmount) {
        this.afterTrialDeductibleAmount = afterTrialDeductibleAmount;
    }

    public String getAfterTrialConstructeConsts() {
        return afterTrialConstructeConsts;
    }

    public void setAfterTrialConstructeConsts(String afterTrialConstructeConsts) {
        this.afterTrialConstructeConsts = afterTrialConstructeConsts;
    }

    public String getAfterTrialMaterialAmount() {
        return afterTrialMaterialAmount;
    }

    public void setAfterTrialMaterialAmount(String afterTrialMaterialAmount) {
        this.afterTrialMaterialAmount = afterTrialMaterialAmount;
    }

    public String getAfterTrialOtherExpanses() {
        return afterTrialOtherExpanses;
    }

    public void setAfterTrialOtherExpanses(String afterTrialOtherExpanses) {
        this.afterTrialOtherExpanses = afterTrialOtherExpanses;
    }

    public String getAfterTrialPreliminaryConstructeFee() {
        return afterTrialPreliminaryConstructeFee;
    }

    public void setAfterTrialPreliminaryConstructeFee(String afterTrialPreliminaryConstructeFee) {
        this.afterTrialPreliminaryConstructeFee = afterTrialPreliminaryConstructeFee;
    }

    public String getAfterTrialSurveyFee() {
        return afterTrialSurveyFee;
    }

    public void setAfterTrialSurveyFee(String afterTrialSurveyFee) {
        this.afterTrialSurveyFee = afterTrialSurveyFee;
    }

    public String getAfterTrialDesignFee() {
        return afterTrialDesignFee;
    }

    public void setAfterTrialDesignFee(String afterTrialDesignFee) {
        this.afterTrialDesignFee = afterTrialDesignFee;
    }

    public String getAfterTrialSupervisionFee() {
        return afterTrialSupervisionFee;
    }

    public void setAfterTrialSupervisionFee(String afterTrialSupervisionFee) {
        this.afterTrialSupervisionFee = afterTrialSupervisionFee;
    }

    public String getBudgetRevision() {
        return budgetRevision;
    }

    public void setBudgetRevision(String budgetRevision) {
        this.budgetRevision = budgetRevision;
    }

    public String getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(String completeTime) {
        this.completeTime = completeTime;
    }

    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }
}
