package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 储备项目建设规模统计表
 * @author: 王强
 * @create: 2022-08-16 09:46
 **/
public class ConstructeScale extends DataEntity<ConstructeScale> {
    private String cityCompany;              //市公司
    private String projectReserveId;         //项目储备编号
    private String constructePurpose;        //建设目的
    private String factoryPrefab;            //土建工厂化预制
    private String ancillaryFacility;        //附属设施
    private String constructionWorkMethod;   //施工作业方式(完全不停电作业、部分不停电作业、停电作业)
    private String workWithoutInterruption;  //不停电作业
    private int powerFailureHouseNum;     //停电时户数
    private String peakSummerProject;        //是否迎峰度夏项目
    private String projectReview;            //通过第几批项目评审

    //表一：储备项目基本信息字段
    private String district;                //县公司
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;     //建设必要性及内容
    private String costEstimate;            //费用估算

    //统计表-：概预算统计表
    private String afterTrialEstimateAmount;        //概算

    //从其字段
    private String reserveProgress;            //项目进度
    private String switchCabinet;              //开关柜
    private String overheadLine;               //架空线路
    private String powerCable;                 //电力电缆
    private String cableBranchBox;             //电缆分支箱
    private String outdoorRingCage;            //户外环网箱
    private String ringRoom;                   //环网室（开关站）
    private String onColumnSwitch;             //柱上开关
    private String switchRoomKVA;              //配电室kva
    private String switchRoom;                 //配电室
    private String boxChangeKVA;               //箱变kva
    private String boxChange;                  //箱变
    private String distributionTransformerKVA; //配电变压器kva
    private String distributionTransformer;    //配电变压器
    private String lowVoltageLine;             //低压线路
    private String lowVoltageCable;            //低压电缆
    private String lowVoltageCableBox;         //低压电缆分支箱
    private String lowVoltageCabinet;          //低压配电柜
    private String distributeAutoMateTerminalFTU;          //配电自动化终端ftu
    private String distributeAutoMateTerminalDTU;          //配电自动化终端dtu
    private String opticalCable;                //光缆
    private String cablePassage;                //电缆通道

    public String getCityCompany() {
        return cityCompany;
    }

    public void setCityCompany(String cityCompany) {
        this.cityCompany = cityCompany;
    }

    public String getLowVoltageCable() {
        return lowVoltageCable;
    }

    public void setLowVoltageCable(String lowVoltageCable) {
        this.lowVoltageCable = lowVoltageCable;
    }

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getConstructePurpose() {
        return constructePurpose;
    }

    public void setConstructePurpose(String constructePurpose) {
        this.constructePurpose = constructePurpose;
    }

    public String getFactoryPrefab() {
        return factoryPrefab;
    }

    public void setFactoryPrefab(String factoryPrefab) {
        this.factoryPrefab = factoryPrefab;
    }

    public String getAncillaryFacility() {
        return ancillaryFacility;
    }

    public void setAncillaryFacility(String ancillaryFacility) {
        this.ancillaryFacility = ancillaryFacility;
    }

    public String getConstructionWorkMethod() {
        return constructionWorkMethod;
    }

    public void setConstructionWorkMethod(String constructionWorkMethod) {
        this.constructionWorkMethod = constructionWorkMethod;
    }

    public String getWorkWithoutInterruption() {
        return workWithoutInterruption;
    }

    public void setWorkWithoutInterruption(String workWithoutInterruption) {
        this.workWithoutInterruption = workWithoutInterruption;
    }

    public int getPowerFailureHouseNum() {
        return powerFailureHouseNum;
    }

    public void setPowerFailureHouseNum(int powerFailureHouseNum) {
        this.powerFailureHouseNum = powerFailureHouseNum;
    }

    public String getPeakSummerProject() {
        return peakSummerProject;
    }

    public void setPeakSummerProject(String peakSummerProject) {
        this.peakSummerProject = peakSummerProject;
    }

    public String getProjectReview() {
        return projectReview;
    }

    public void setProjectReview(String projectReview) {
        this.projectReview = projectReview;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getAfterTrialEstimateAmount() {
        return afterTrialEstimateAmount;
    }

    public void setAfterTrialEstimateAmount(String afterTrialEstimateAmount) {
        this.afterTrialEstimateAmount = afterTrialEstimateAmount;
    }

    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getSwitchCabinet() {
        return switchCabinet;
    }

    public void setSwitchCabinet(String switchCabinet) {
        this.switchCabinet = switchCabinet;
    }

    public String getOverheadLine() {
        return overheadLine;
    }

    public void setOverheadLine(String overheadLine) {
        this.overheadLine = overheadLine;
    }

    public String getPowerCable() {
        return powerCable;
    }

    public void setPowerCable(String powerCable) {
        this.powerCable = powerCable;
    }

    public String getCableBranchBox() {
        return cableBranchBox;
    }

    public void setCableBranchBox(String cableBranchBox) {
        this.cableBranchBox = cableBranchBox;
    }

    public String getOutdoorRingCage() {
        return outdoorRingCage;
    }

    public void setOutdoorRingCage(String outdoorRingCage) {
        this.outdoorRingCage = outdoorRingCage;
    }

    public String getRingRoom() {
        return ringRoom;
    }

    public void setRingRoom(String ringRoom) {
        this.ringRoom = ringRoom;
    }

    public String getOnColumnSwitch() {
        return onColumnSwitch;
    }

    public void setOnColumnSwitch(String onColumnSwitch) {
        this.onColumnSwitch = onColumnSwitch;
    }

    public String getSwitchRoomKVA() {
        return switchRoomKVA;
    }

    public void setSwitchRoomKVA(String switchRoomKVA) {
        this.switchRoomKVA = switchRoomKVA;
    }

    public String getSwitchRoom() {
        return switchRoom;
    }

    public void setSwitchRoom(String switchRoom) {
        this.switchRoom = switchRoom;
    }

    public String getBoxChangeKVA() {
        return boxChangeKVA;
    }

    public void setBoxChangeKVA(String boxChangeKVA) {
        this.boxChangeKVA = boxChangeKVA;
    }

    public String getBoxChange() {
        return boxChange;
    }

    public void setBoxChange(String boxChange) {
        this.boxChange = boxChange;
    }

    public String getDistributionTransformerKVA() {
        return distributionTransformerKVA;
    }

    public void setDistributionTransformerKVA(String distributionTransformerKVA) {
        this.distributionTransformerKVA = distributionTransformerKVA;
    }

    public String getDistributionTransformer() {
        return distributionTransformer;
    }

    public void setDistributionTransformer(String distributionTransformer) {
        this.distributionTransformer = distributionTransformer;
    }

    public String getLowVoltageLine() {
        return lowVoltageLine;
    }

    public void setLowVoltageLine(String lowVoltageLine) {
        this.lowVoltageLine = lowVoltageLine;
    }

    public String getLowVoltageCableBox() {
        return lowVoltageCableBox;
    }

    public void setLowVoltageCableBox(String lowVoltageCableBox) {
        this.lowVoltageCableBox = lowVoltageCableBox;
    }

    public String getLowVoltageCabinet() {
        return lowVoltageCabinet;
    }

    public void setLowVoltageCabinet(String lowVoltageCabinet) {
        this.lowVoltageCabinet = lowVoltageCabinet;
    }

    public String getDistributeAutoMateTerminalFTU() {
        return distributeAutoMateTerminalFTU;
    }

    public void setDistributeAutoMateTerminalFTU(String distributeAutoMateTerminalFTU) {
        this.distributeAutoMateTerminalFTU = distributeAutoMateTerminalFTU;
    }

    public String getDistributeAutoMateTerminalDTU() {
        return distributeAutoMateTerminalDTU;
    }

    public void setDistributeAutoMateTerminalDTU(String distributeAutoMateTerminalDTU) {
        this.distributeAutoMateTerminalDTU = distributeAutoMateTerminalDTU;
    }

    public String getOpticalCable() {
        return opticalCable;
    }

    public void setOpticalCable(String opticalCable) {
        this.opticalCable = opticalCable;
    }

    public String getCablePassage() {
        return cablePassage;
    }

    public void setCablePassage(String cablePassage) {
        this.cablePassage = cablePassage;
    }
}
