package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 立杆和土建工程量统计
 * @author: 王强
 * @create: 2022-08-16 09:51
 **/
public class EnginnerQuery extends DataEntity<EnginnerQuery> {

    private String projectReserveId;        //项目储备编号
    private String pole190X10;              //立杆信息Φ190×10×M×I
    private String pole190X12;              //立杆信息Φ190×12×M×G
    private String pole190X15;              //立杆信息Φ190×15×M×G
    private String pole230X15;              //立杆信息Φ230×15×N
    private String pole230X18;              //立杆信息Φ230×18×N×G
    private String pole300X9;               //立杆信息Φ300×9
    private String pole350X15;              //立杆信息Φ350×15×T×BY
    private String steelPipeGNH31Contains;        //钢管杆信息GNH31-13B（含钢管桩）
    private String steelPipeGNH31NoContains;      //钢管杆信息GNH31-13B（不含钢管桩）
    private String steelPipeGNH3113DContains;     //钢管杆信息GNH31-13D（含钢管桩）
    private String steelPipeGNH3113DNoContains;   //钢管杆信息GNH31-13D（不含钢管桩）
    private String steelPipeCNH35Contains;        //钢管杆信息GNH35-13B（含钢管桩）
    private String steelPipeCNH35NoContains;      //钢管杆信息GNH35-13B（不含钢管桩）
    private String steelPipeCNH3513EContains;     //钢管杆信息GNH35-13E（含钢管桩）
    private String steelPipeCNH3513ENoContains;   //钢管杆信息GNH35-13E（不含钢管桩）
    private String steelPipeCNH39Contains;        //钢管杆信息GNH39-13B（含钢管桩）
    private String steelPipeCNH39NoContains;      //钢管杆信息GNH39-13B（不含钢管桩）
    //预制化信息
    private String prefabricatedWell;             //预制化井
    private String prefabricatedBase;             //预制化基础
    private String prefabricatedPackage;          //预制化包封

    //储备项目基本信息
    private String projectYear;             //项目年份
    private String projectNature;           //项目性质
    private String demandUnit;              //需求单位
    private String district;                //区域
    private String projectGroup;            //项目分组
    private String reserveBatches;          //储备批次
    private String blockSupply;             //供电区域
    private String gridNumber;              //网格编号
    private String cellNumber;              //单元格编号
    private String projectName;             //项目名称
    private String constructionNecessityAndContent;           //建设必要性及内容
    private String substationName;           //变电站名称
    private String circuitName;              //线路名称
    private String netRackProjectDivide;     //网架项目划分
    private String requirementType;          //需求类型
    private String projectType;              //项目类型
    private String costEstimate;             //费用估算
    private String basicRemarks;             //备注

    //其他
    private String reserveProgress;          //储备进度
    private String implementPlan;            //是否纳入实施计划
    private String implementBatch;           //初定实施批次
    private String civilWork;                //是否含土建工作量
    private String poleWorkload;             //是否立杆工作量

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getPole190X10() {
        return pole190X10;
    }

    public void setPole190X10(String pole190X10) {
        this.pole190X10 = pole190X10;
    }

    public String getPole190X12() {
        return pole190X12;
    }

    public void setPole190X12(String pole190X12) {
        this.pole190X12 = pole190X12;
    }

    public String getPole190X15() {
        return pole190X15;
    }

    public void setPole190X15(String pole190X15) {
        this.pole190X15 = pole190X15;
    }

    public String getPole230X15() {
        return pole230X15;
    }

    public void setPole230X15(String pole230X15) {
        this.pole230X15 = pole230X15;
    }

    public String getPole230X18() {
        return pole230X18;
    }

    public void setPole230X18(String pole230X18) {
        this.pole230X18 = pole230X18;
    }

    public String getPole300X9() {
        return pole300X9;
    }

    public void setPole300X9(String pole300X9) {
        this.pole300X9 = pole300X9;
    }

    public String getPole350X15() {
        return pole350X15;
    }

    public void setPole350X15(String pole350X15) {
        this.pole350X15 = pole350X15;
    }

    public String getSteelPipeGNH31Contains() {
        return steelPipeGNH31Contains;
    }

    public void setSteelPipeGNH31Contains(String steelPipeGNH31Contains) {
        this.steelPipeGNH31Contains = steelPipeGNH31Contains;
    }

    public String getSteelPipeGNH31NoContains() {
        return steelPipeGNH31NoContains;
    }

    public void setSteelPipeGNH31NoContains(String steelPipeGNH31NoContains) {
        this.steelPipeGNH31NoContains = steelPipeGNH31NoContains;
    }

    public String getSteelPipeGNH3113DContains() {
        return steelPipeGNH3113DContains;
    }

    public void setSteelPipeGNH3113DContains(String steelPipeGNH3113DContains) {
        this.steelPipeGNH3113DContains = steelPipeGNH3113DContains;
    }

    public String getSteelPipeGNH3113DNoContains() {
        return steelPipeGNH3113DNoContains;
    }

    public void setSteelPipeGNH3113DNoContains(String steelPipeGNH3113DNoContains) {
        this.steelPipeGNH3113DNoContains = steelPipeGNH3113DNoContains;
    }

    public String getSteelPipeCNH35Contains() {
        return steelPipeCNH35Contains;
    }

    public void setSteelPipeCNH35Contains(String steelPipeCNH35Contains) {
        this.steelPipeCNH35Contains = steelPipeCNH35Contains;
    }

    public String getSteelPipeCNH35NoContains() {
        return steelPipeCNH35NoContains;
    }

    public void setSteelPipeCNH35NoContains(String steelPipeCNH35NoContains) {
        this.steelPipeCNH35NoContains = steelPipeCNH35NoContains;
    }

    public String getSteelPipeCNH3513EContains() {
        return steelPipeCNH3513EContains;
    }

    public void setSteelPipeCNH3513EContains(String steelPipeCNH3513EContains) {
        this.steelPipeCNH3513EContains = steelPipeCNH3513EContains;
    }

    public String getSteelPipeCNH3513ENoContains() {
        return steelPipeCNH3513ENoContains;
    }

    public void setSteelPipeCNH3513ENoContains(String steelPipeCNH3513ENoContains) {
        this.steelPipeCNH3513ENoContains = steelPipeCNH3513ENoContains;
    }

    public String getSteelPipeCNH39Contains() {
        return steelPipeCNH39Contains;
    }

    public void setSteelPipeCNH39Contains(String steelPipeCNH39Contains) {
        this.steelPipeCNH39Contains = steelPipeCNH39Contains;
    }

    public String getSteelPipeCNH39NoContains() {
        return steelPipeCNH39NoContains;
    }

    public void setSteelPipeCNH39NoContains(String steelPipeCNH39NoContains) {
        this.steelPipeCNH39NoContains = steelPipeCNH39NoContains;
    }

    public String getPrefabricatedWell() {
        return prefabricatedWell;
    }

    public void setPrefabricatedWell(String prefabricatedWell) {
        this.prefabricatedWell = prefabricatedWell;
    }

    public String getPrefabricatedBase() {
        return prefabricatedBase;
    }

    public void setPrefabricatedBase(String prefabricatedBase) {
        this.prefabricatedBase = prefabricatedBase;
    }

    public String getPrefabricatedPackage() {
        return prefabricatedPackage;
    }

    public void setPrefabricatedPackage(String prefabricatedPackage) {
        this.prefabricatedPackage = prefabricatedPackage;
    }

    public String getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(String projectYear) {
        this.projectYear = projectYear;
    }

    public String getProjectNature() {
        return projectNature;
    }

    public void setProjectNature(String projectNature) {
        this.projectNature = projectNature;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getProjectGroup() {
        return projectGroup;
    }

    public void setProjectGroup(String projectGroup) {
        this.projectGroup = projectGroup;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getBlockSupply() {
        return blockSupply;
    }

    public void setBlockSupply(String blockSupply) {
        this.blockSupply = blockSupply;
    }

    public String getGridNumber() {
        return gridNumber;
    }

    public void setGridNumber(String gridNumber) {
        this.gridNumber = gridNumber;
    }

    public String getCellNumber() {
        return cellNumber;
    }

    public void setCellNumber(String cellNumber) {
        this.cellNumber = cellNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getConstructionNecessityAndContent() {
        return constructionNecessityAndContent;
    }

    public void setConstructionNecessityAndContent(String constructionNecessityAndContent) {
        this.constructionNecessityAndContent = constructionNecessityAndContent;
    }

    public String getSubstationName() {
        return substationName;
    }

    public void setSubstationName(String substationName) {
        this.substationName = substationName;
    }

    public String getCircuitName() {
        return circuitName;
    }

    public void setCircuitName(String circuitName) {
        this.circuitName = circuitName;
    }

    public String getNetRackProjectDivide() {
        return netRackProjectDivide;
    }

    public void setNetRackProjectDivide(String netRackProjectDivide) {
        this.netRackProjectDivide = netRackProjectDivide;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getCostEstimate() {
        return costEstimate;
    }

    public void setCostEstimate(String costEstimate) {
        this.costEstimate = costEstimate;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getImplementPlan() {
        return implementPlan;
    }

    public void setImplementPlan(String implementPlan) {
        this.implementPlan = implementPlan;
    }

    public String getImplementBatch() {
        return implementBatch;
    }

    public void setImplementBatch(String implementBatch) {
        this.implementBatch = implementBatch;
    }

    public String getCivilWork() {
        return civilWork;
    }

    public void setCivilWork(String civilWork) {
        this.civilWork = civilWork;
    }

    public String getPoleWorkload() {
        return poleWorkload;
    }

    public void setPoleWorkload(String poleWorkload) {
        this.poleWorkload = poleWorkload;
    }
}
