package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 储备进度统计表
 * @author: 王强
 * @create: 2022-08-16 09:20
 **/
public class ProgressStats extends DataEntity<ProgressStats> {

    private String projectReserveId;                //项目储备编号
    private String reserveProgress;                 //储备进度
    private String inspectDepartmentReview;         //是否通过运检部评审
    private String inspectDepartmentReviewTime;     //通过运检部评审时间
    private String releaseReserveTime;              //运检部下达储备时间
    private String designCommission;                //是否发出设计委托
    private String designCommissionIssueTime;       //设计委托发出时间
    private String onSiteConfess;                   //是否进行现场交底
    private String confessCompleteTime;             //交底完成时间
    private String completeDesign;                  //是否完成初设
    private String submitTime;                      //初设提交时间
    private String completeDraw;                    //是否完成审图
    private String drawAudit;                       //是否通过图纸审核
    private String reasonForFailure;                //未通过原因分析
    private String passAuditDate;                   //通过审核日期
    private String changeDesign;                    //是否需设计变更
    private String completeReview;                  //概预算-是否完成审核
    private String expertReview;                    //概预算-是否通过专家审核
    private String estimateReasonForFailure;        //概预算-未通过原因分析
    private String estimatePassAuditDate;           //概预算-通过审核日期
    private String estimateChangeDesign;            //概预算-是否需设计变更
    private String provincialCompanyReview;         //是否参加省公司评审
    private String provincialCompanyReviewBatch;    //省公司评审批次
    private String passProvincialCompanyReview;     //是否通过省公司评审
    private String causeAnalysis;                   //未通过原因分析
    private String designChange;                    //是否需设计变更
    private String drawingReview;                   //图纸联合审查-是否进行图纸审查
    private String reviewDate;                      //图纸联合审查-审图日期
    private String passDrawingReview;               //图纸联合审查-是否通过图纸审查
    private String reviewComment;                   //图纸联合审查未通过审图意见
    private String approvedDate;                    //图纸联合审查通过审核日期
    private String jointReviewDesignChange;         //图纸联合审查-是否需设计变更
    private String drawingFinalize;                 //图纸是否定稿
    private String finalDate;                       //定稿日期
    private String formalDrawing;                   //是否打印正式图纸
    private String drawingDate;                     //通知出图日期
    private String transferProjectCenterDate;       //正式图纸移交项目中心日期
    private String transferToConstructionUnitDate;  //正式图纸移交施工单位日期

    //储备项目基本信息
    private String projectName;             //项目名称
    private String requirementType;         //需求类型
    private String demandUnit;              //需求单位
    private String reserveBatches;          //储备批次
    private String basicRemarks;            //备注
    //储备项目交底信息汇总统计表
    private String implementPlan;           //是否纳入实施计划
    private String initialImplementBatch;   //初定实施批次
    private String includeReserve;          //是否纳入储备

    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    public String getReserveProgress() {
        return reserveProgress;
    }

    public void setReserveProgress(String reserveProgress) {
        this.reserveProgress = reserveProgress;
    }

    public String getInspectDepartmentReview() {
        return inspectDepartmentReview;
    }

    public void setInspectDepartmentReview(String inspectDepartmentReview) {
        this.inspectDepartmentReview = inspectDepartmentReview;
    }

    public String getInspectDepartmentReviewTime() {
        return inspectDepartmentReviewTime;
    }

    public void setInspectDepartmentReviewTime(String inspectDepartmentReviewTime) {
        this.inspectDepartmentReviewTime = inspectDepartmentReviewTime;
    }

    public String getReleaseReserveTime() {
        return releaseReserveTime;
    }

    public void setReleaseReserveTime(String releaseReserveTime) {
        this.releaseReserveTime = releaseReserveTime;
    }

    public String getDesignCommission() {
        return designCommission;
    }

    public void setDesignCommission(String designCommission) {
        this.designCommission = designCommission;
    }

    public String getDesignCommissionIssueTime() {
        return designCommissionIssueTime;
    }

    public void setDesignCommissionIssueTime(String designCommissionIssueTime) {
        this.designCommissionIssueTime = designCommissionIssueTime;
    }

    public String getOnSiteConfess() {
        return onSiteConfess;
    }

    public void setOnSiteConfess(String onSiteConfess) {
        this.onSiteConfess = onSiteConfess;
    }

    public String getConfessCompleteTime() {
        return confessCompleteTime;
    }

    public void setConfessCompleteTime(String confessCompleteTime) {
        this.confessCompleteTime = confessCompleteTime;
    }

    public String getCompleteDesign() {
        return completeDesign;
    }

    public void setCompleteDesign(String completeDesign) {
        this.completeDesign = completeDesign;
    }

    public String getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }

    public String getCompleteDraw() {
        return completeDraw;
    }

    public void setCompleteDraw(String completeDraw) {
        this.completeDraw = completeDraw;
    }

    public String getDrawAudit() {
        return drawAudit;
    }

    public void setDrawAudit(String drawAudit) {
        this.drawAudit = drawAudit;
    }

    public String getReasonForFailure() {
        return reasonForFailure;
    }

    public void setReasonForFailure(String reasonForFailure) {
        this.reasonForFailure = reasonForFailure;
    }

    public String getPassAuditDate() {
        return passAuditDate;
    }

    public void setPassAuditDate(String passAuditDate) {
        this.passAuditDate = passAuditDate;
    }

    public String getChangeDesign() {
        return changeDesign;
    }

    public void setChangeDesign(String changeDesign) {
        this.changeDesign = changeDesign;
    }

    public String getCompleteReview() {
        return completeReview;
    }

    public void setCompleteReview(String completeReview) {
        this.completeReview = completeReview;
    }

    public String getExpertReview() {
        return expertReview;
    }

    public void setExpertReview(String expertReview) {
        this.expertReview = expertReview;
    }

    public String getEstimateReasonForFailure() {
        return estimateReasonForFailure;
    }

    public void setEstimateReasonForFailure(String estimateReasonForFailure) {
        this.estimateReasonForFailure = estimateReasonForFailure;
    }

    public String getEstimatePassAuditDate() {
        return estimatePassAuditDate;
    }

    public void setEstimatePassAuditDate(String estimatePassAuditDate) {
        this.estimatePassAuditDate = estimatePassAuditDate;
    }

    public String getEstimateChangeDesign() {
        return estimateChangeDesign;
    }

    public void setEstimateChangeDesign(String estimateChangeDesign) {
        this.estimateChangeDesign = estimateChangeDesign;
    }

    public String getProvincialCompanyReview() {
        return provincialCompanyReview;
    }

    public void setProvincialCompanyReview(String provincialCompanyReview) {
        this.provincialCompanyReview = provincialCompanyReview;
    }

    public String getProvincialCompanyReviewBatch() {
        return provincialCompanyReviewBatch;
    }

    public void setProvincialCompanyReviewBatch(String provincialCompanyReviewBatch) {
        this.provincialCompanyReviewBatch = provincialCompanyReviewBatch;
    }

    public String getPassProvincialCompanyReview() {
        return passProvincialCompanyReview;
    }

    public void setPassProvincialCompanyReview(String passProvincialCompanyReview) {
        this.passProvincialCompanyReview = passProvincialCompanyReview;
    }

    public String getCauseAnalysis() {
        return causeAnalysis;
    }

    public void setCauseAnalysis(String causeAnalysis) {
        this.causeAnalysis = causeAnalysis;
    }

    public String getDesignChange() {
        return designChange;
    }

    public void setDesignChange(String designChange) {
        this.designChange = designChange;
    }

    public String getDrawingReview() {
        return drawingReview;
    }

    public void setDrawingReview(String drawingReview) {
        this.drawingReview = drawingReview;
    }

    public String getReviewDate() {
        return reviewDate;
    }

    public void setReviewDate(String reviewDate) {
        this.reviewDate = reviewDate;
    }

    public String getPassDrawingReview() {
        return passDrawingReview;
    }

    public void setPassDrawingReview(String passDrawingReview) {
        this.passDrawingReview = passDrawingReview;
    }

    public String getReviewComment() {
        return reviewComment;
    }

    public void setReviewComment(String reviewComment) {
        this.reviewComment = reviewComment;
    }

    public String getApprovedDate() {
        return approvedDate;
    }

    public void setApprovedDate(String approvedDate) {
        this.approvedDate = approvedDate;
    }

    public String getJointReviewDesignChange() {
        return jointReviewDesignChange;
    }

    public void setJointReviewDesignChange(String jointReviewDesignChange) {
        this.jointReviewDesignChange = jointReviewDesignChange;
    }

    public String getDrawingFinalize() {
        return drawingFinalize;
    }

    public void setDrawingFinalize(String drawingFinalize) {
        this.drawingFinalize = drawingFinalize;
    }

    public String getFinalDate() {
        return finalDate;
    }

    public void setFinalDate(String finalDate) {
        this.finalDate = finalDate;
    }

    public String getFormalDrawing() {
        return formalDrawing;
    }

    public void setFormalDrawing(String formalDrawing) {
        this.formalDrawing = formalDrawing;
    }

    public String getDrawingDate() {
        return drawingDate;
    }

    public void setDrawingDate(String drawingDate) {
        this.drawingDate = drawingDate;
    }

    public String getTransferProjectCenterDate() {
        return transferProjectCenterDate;
    }

    public void setTransferProjectCenterDate(String transferProjectCenterDate) {
        this.transferProjectCenterDate = transferProjectCenterDate;
    }

    public String getTransferToConstructionUnitDate() {
        return transferToConstructionUnitDate;
    }

    public void setTransferToConstructionUnitDate(String transferToConstructionUnitDate) {
        this.transferToConstructionUnitDate = transferToConstructionUnitDate;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }

    public String getReserveBatches() {
        return reserveBatches;
    }

    public void setReserveBatches(String reserveBatches) {
        this.reserveBatches = reserveBatches;
    }

    public String getBasicRemarks() {
        return basicRemarks;
    }

    public void setBasicRemarks(String basicRemarks) {
        this.basicRemarks = basicRemarks;
    }

    public String getImplementPlan() {
        return implementPlan;
    }

    public void setImplementPlan(String implementPlan) {
        this.implementPlan = implementPlan;
    }

    public String getInitialImplementBatch() {
        return initialImplementBatch;
    }

    public void setInitialImplementBatch(String initialImplementBatch) {
        this.initialImplementBatch = initialImplementBatch;
    }

    public String getIncludeReserve() {
        return includeReserve;
    }

    public void setIncludeReserve(String includeReserve) {
        this.includeReserve = includeReserve;
    }
}
