package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.BudgetStats;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目概预算统计表
 * @author: 王强
 * @create: 2022-08-16 10:23
 **/
@MyBatisMapper
public interface BudgetStatsMapper extends BaseMapper<BudgetStats> {

    /**
     * 批量添加储备项目概预算统计信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<BudgetStats> list);

    int selectCount(String projectReserveId);

    /**
     * 导出数据查询
     * @param budgetStats
     * @return
     */
    List<BudgetStats> exportFindList(BudgetStats budgetStats);

    /**
     * 根据projectReserveId查出proc_ins_id
     * @param projectReserveId
     * @return
     */
    String getByProjectReserveId(String projectReserveId);
    /**
     * 根据executeId查出当前节点的名称
     * @param executeId
     * @return
     */
    String getByExecuteId(String executeId);

    /**
     * 根据executeId查出历史节点信息
     * @param executeId
     * @return
     */
    List<History> getHistoryByExecuteId(String executeId);

    /**
     * 根据executeId和节点名称查出历史节点信息
     * @param executeId
     * @return
     */
    List<History> getHistoryByActName(@Param("executeId") String executeId,
                                @Param("name") String name);

    /**
     * 根据节点的时间和executeId来查找
     * @param time
     * @return
     */
    History getHistoryByTime(@Param("time")String time,@Param("executeId")String executeId);
}
