package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.MaterialData;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.StandardDetail;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.ConstructeScale;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备项目建设规模统计表
 * @author: 王强
 * @create: 2022-08-19 13:52
 **/
@MyBatisMapper
public interface ConstructeScaleMapper extends BaseMapper<ConstructeScale> {

    /**
     * 批量添加储备项目概预算统计信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ConstructeScale> list);

    /**
     * 导出数据查询
     * @param constructeScale
     * @return
     */
    List<ConstructeScale> exportFindList(ConstructeScale constructeScale);

    /**
     * 根据projectReserveId查出proc_ins_id
     * @param projectReserveId
     * @return
     */
    String getByProjectReserveId(String projectReserveId);

    /**
     * 根据executeId查出当前节点的名称
     * @param executeId
     * @return
     */
    String getByExecuteId(String executeId);

    /**
     * 根据executeId查出历史节点信息
     * @param executeId
     * @return
     */
    List<History> getHistoryByExecuteId(String executeId);

    /**
     * 查出物料规范数据
     * @return
     */
    List<StandardDetail> getStandardDetail();

    /**
     * 获取在线开甲供材数据
     * @return
     */
    List<MaterialData> getMaterialData(String projectName);
}
