package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.EnginnerQuery;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 立杆和土建工程量统计
 * @author: 王强
 * @create: 2022-08-22 15:06
 **/
@MyBatisMapper
public interface EnginnerQueryMapper extends BaseMapper<EnginnerQuery> {

    /**
     * 导出数据查询
     * @param enginnerQuery
     * @return
     */
    List<EnginnerQuery> exportFindList(EnginnerQuery enginnerQuery);

    /**
     * 根据物料编码、甲乙供、扩展描述、备注获取在线开甲供材数据总量
     * @return
     */
    Double getData(@Param("materialCode") String materialCode,
                               @Param("extendDescription")String extendDescription,
                               @Param("note")String note);

    /**
     * 根据projectReserveId查出proc_ins_id
     * @param projectReserveId
     * @return
     */
    String getByProjectReserveId(String projectReserveId);

    /**
     * 根据executeId查出历史节点信息
     * @param executeId
     * @return
     */
    List<History> getHistoryByExecuteId(String executeId);

    /**
     * 根据executeId查出当前节点的名称
     * @param executeId
     * @return
     */
    String getByExecuteId(String executeId);
}
