package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.HistoryComment;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.HistoryVarinst;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.ProgressStats;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储备进度统计表
 * @author: 王强
 * @create: 2022-08-17 15:23
 **/
@MyBatisMapper
public interface ProgressStatsMapper extends BaseMapper<ProgressStats> {

    /**
     * 批量添加储备项目概预算统计信息
     * @param list
     * @return
     */
    void insertList(@Param("list") List<ProgressStats> list);

    int selectCount(String projectReserveId);

    /**
     * 导出数据查询
     * @param progressStats
     * @return
     */
    List<ProgressStats> exportFindList(ProgressStats progressStats);

    /**
     * 根据projectReserveId查出proc_ins_id
     * @param projectReserveId
     * @return
     */
    String getByProjectReserveId(String projectReserveId);

    /**
     * 根据executeId查出当前节点的名称
     * @param executeId
     * @return
     */
    String getByExecuteId(String executeId);

    /**
     * 根据executeId查出历史节点信息
     * @param executeId
     * @return
     */
    List<History> getHistoryByExecuteId(String executeId);

    /**
     * 根据executeId和节点名称查出历史节点信息
     * @param executeId
     * @return
     */
    List<History> getHistoryByActName(@Param("executeId") String executeId,
                                      @Param("name") String name);

    /**
     * 根据节点的时间和executeId来查找
     * @param time
     * @return
     */
    History getHistoryByTime(@Param("time")String time,@Param("executeId")String executeId);

    HistoryComment getCommentByTime(@Param("time")String time,@Param("executeId")String executeId);

    /**
     * 在历史遍历表中，根据procInstId和时间来判断是哪条流程线
     * @param time
     * @param procInstId
     * @return
     */
    HistoryVarinst getByProcInstId(@Param("time")String time,@Param("procInstId")String procInstId);
}
