package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.BudgetStats;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper.BudgetStatsMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 储备项目概预算统计表
 * @author: 王强
 * @create: 2022-08-16 13:43
 **/
@Service
@Transactional(readOnly = true)
public class BudgetStatsService extends CrudService<BudgetStatsMapper, BudgetStats> {

    @Autowired
    private BudgetStatsMapper dao;

    @Transactional(readOnly = false)
    public void insertList(@Param("list") List<BudgetStats> list){
        for(BudgetStats budgetStats : list){
            budgetStats.preInsert();
        }
        dao.insertList(list);
    }

    public Page<BudgetStats> findPage(Page<BudgetStats> page, BudgetStats budgetStats) {
        Page<BudgetStats> pageList = super.findPage(page, budgetStats);
        return pageList;
    }

    /**
     * 删除方法
     * @param budgetStats
     */
    @Transactional(readOnly = false)
    public void delete(BudgetStats budgetStats) {
        super.delete(budgetStats);
    }

    public int selectCount(String projectReserveId){
        return dao.selectCount(projectReserveId);
    }

    public List<BudgetStats> exportFindList( BudgetStats budgetStats) {
        List<BudgetStats> pageList = dao.exportFindList(budgetStats);
        return pageList;
    }

    public String getByProjectReserveId(String projectReserveId){
        return dao.getByProjectReserveId(projectReserveId);
    }

    public String getByExecuteId(String executeId){
        return dao.getByExecuteId(executeId);
    }

    public List<History> getHistoryByExecuteId(String executeId){
        return dao.getHistoryByExecuteId(executeId);
    }

    public List<History> getHistoryByActName(String executeId,String name){
        return dao.getHistoryByActName(executeId, name);
    }

    public History getHistoryByTime(String time,String executeId){
        return dao.getHistoryByTime(time, executeId);
    }
}
