package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.DemoliteList;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper.DemoliteListMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 储备项目拆旧物资汇总表
 * @author: 王强
 * @create: 2022-08-23 08:50
 **/
@Service
@Transactional(readOnly = true)
public class DemoliteListService extends CrudService<DemoliteListMapper, DemoliteList> {

    @Autowired
    private DemoliteListMapper mapper;

    public Page<DemoliteList> findPage(Page<DemoliteList> page, DemoliteList demoliteList) {
        Page<DemoliteList> pageList = super.findPage(page, demoliteList);
        return pageList;
    }

    /**
     * 删除方法
     * @param demoliteList
     */
    @Transactional(readOnly = false)
    public void delete(DemoliteList demoliteList) {
        super.delete(demoliteList);
    }

    public List<DemoliteList> exportFindList(DemoliteList demoliteList) {
        List<DemoliteList> pageList = mapper.exportFindList(demoliteList);
        return pageList;
    }
}
