package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.EnginnerQuery;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper.EnginnerQueryMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 立杆和土建工程量统计
 * @author: 王强
 * @create: 2022-08-22 15:17
 **/
@Service
@Transactional(readOnly = true)
public class EnginnerQueryService extends CrudService<EnginnerQueryMapper, EnginnerQuery> {

    @Autowired
    private EnginnerQueryMapper queryMapper;

    public Page<EnginnerQuery> findPage(Page<EnginnerQuery> page, EnginnerQuery enginnerQuery) {
        Page<EnginnerQuery> pageList = super.findPage(page, enginnerQuery);
        return pageList;
    }

    public List<EnginnerQuery> exportFindList(EnginnerQuery enginnerQuery) {
        List<EnginnerQuery> pageList = queryMapper.exportFindList(enginnerQuery);
        return pageList;
    }

    public Double getData(String code,String extendDescription,String note) {
        return queryMapper.getData(code, extendDescription, note);
    }

    public String getByProjectReserveId(String projectReserveId){
        return queryMapper.getByProjectReserveId(projectReserveId);
    }

    public List<History> getHistoryByExecuteId(String executeId){
        return queryMapper.getHistoryByExecuteId(executeId);
    }

    public String getByExecuteId(String executeId){
        return queryMapper.getByExecuteId(executeId);
    }
}
