package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.HistoryComment;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.HistoryVarinst;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.ProgressStats;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper.ProgressStatsMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 储备进度统计表
 * @author: 王强
 * @create: 2022-08-18 09:16
 **/
@Service
@Transactional(readOnly = true)
public class ProgressStatsService extends CrudService<ProgressStatsMapper, ProgressStats> {

    @Autowired
    private ProgressStatsMapper dao;

    @Transactional(readOnly = false)
    public void insertList(@Param("list") List<ProgressStats> list){
        for(ProgressStats progressStats : list){
            progressStats.preInsert();
        }
        dao.insertList(list);
    }

    public Page<ProgressStats> findPage(Page<ProgressStats> page, ProgressStats progressStats) {
        Page<ProgressStats> pageList = super.findPage(page, progressStats);
        return pageList;
    }

    /**
     * 删除方法
     * @param progressStats
     */
    @Transactional(readOnly = false)
    public void delete(ProgressStats progressStats) {
        super.delete(progressStats);
    }

    public int selectCount(String projectReserveId){
        return dao.selectCount(projectReserveId);
    }

    public List<ProgressStats> exportFindList(ProgressStats progressStats) {
        List<ProgressStats> pageList = dao.exportFindList(progressStats);
        return pageList;
    }

    public String getByProjectReserveId(String projectReserveId){
        return dao.getByProjectReserveId(projectReserveId);
    }

    public String getByExecuteId(String executeId){
        return dao.getByExecuteId(executeId);
    }

    public List<History> getHistoryByExecuteId(String executeId){
        return dao.getHistoryByExecuteId(executeId);
    }

    public List<History> getHistoryByActName(String executeId,String name){
        return dao.getHistoryByActName(executeId, name);
    }

    public History getHistoryByTime(String time,String executeId){
        return dao.getHistoryByTime(time, executeId);
    }

    public HistoryComment getCommentByTime(String time, String executeId){
        return dao.getCommentByTime(time, executeId);
    }

    public HistoryVarinst getByProcInstId(String time, String procInstId){
        return dao.getByProcInstId(time, procInstId);
    }
}
