package com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.History;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.entity.SpecialSupply;
import com.jeeplus.modules.cg.reservemanagementcenter.statisticalTable.mapper.SpecialSupplyMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 特殊物资统计
 * @author: 王强
 * @create: 2022-08-22 17:58
 **/
@Service
@Transactional(readOnly = true)
public class SpecialSupplyService extends CrudService<SpecialSupplyMapper, SpecialSupply> {

    @Autowired
    private SpecialSupplyMapper supplyMapper;

    public Page<SpecialSupply> findPage(Page<SpecialSupply> page, SpecialSupply specialSupply) {
        Page<SpecialSupply> pageList = super.findPage(page, specialSupply);
        return pageList;
    }

    public List<SpecialSupply> exportFindList(SpecialSupply specialSupply) {
        List<SpecialSupply> pageList = supplyMapper.exportFindList(specialSupply);
        return pageList;
    }

    public Double getData(String code,String extendDescription,String note) {
        return supplyMapper.getData(code, extendDescription, note);
    }

    public String getByProjectReserveId(String projectReserveId){
        return supplyMapper.getByProjectReserveId(projectReserveId);
    }

    public List<History> getHistoryByExecuteId(String executeId){
        return supplyMapper.getHistoryByExecuteId(executeId);
    }

    public String getByExecuteId(String executeId){
        return supplyMapper.getByExecuteId(executeId);
    }
}
