

package com.jeeplus.modules.sg.balancedlibrary.planSummary.service;
import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.balancedlibrary.planSummary.entity.AgriculturalDistributionNetwork;
import com.jeeplus.modules.sg.balancedlibrary.planSummary.entity.ProcessTracking;
import com.jeeplus.modules.sg.balancedlibrary.planSummary.mapper.PlanSummaryMapper;
import com.jeeplus.modules.sg.balancedlibrary.planSummary.vo.PlanSummary;
import com.jeeplus.modules.sg.balancedlibrary.reportPerson.entity.ReportPerson;
import com.jeeplus.modules.sg.balancedlibrary.reportPerson.mapper.ReportPersonMapper;
import com.jeeplus.modules.sys.utils.DictUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.math.BigDecimal;
import java.util.*;
import java.util.concurrent.atomic.AtomicReference;
/**
 * @author 杜
 */
@Service
@Transactional(readOnly = true)
public class PlanSummaryService extends CrudService<PlanSummaryMapper, AgriculturalDistributionNetwork> {
    @Autowired
    private ReportPersonMapper reportPersonMapper;
    public List<PlanSummary>  importFile(List<AgriculturalDistributionNetwork> agriculturalDistributionNetworkList, List<ProcessTracking> processTrackingList) {
        //返回结果
        List<PlanSummary> planSummaryList = new ArrayList<>();

        //配农网
        Map<String, BigDecimal> agriculturalDistributionNetworkMap = new HashMap<>();

        //跟踪表
        Map<String, BigDecimal> processTrackingMap = new HashMap<>();
        //提报人
        Map<String, String> reportPersonMap = getPerson();
        Map<String, String> flagMap = new HashMap<>();
        // 去重统计各个部门需求数量(配农网)
        agriculturalDistributionNetworkList.forEach(agriculturalDistributionNetwork -> {
            //物料编码+提报人
            String key = agriculturalDistributionNetwork.getRequiredMaterialCode() + "-" +
                    reportPersonMap.get(agriculturalDistributionNetwork.getPlanSubmitter());
            String value= agriculturalDistributionNetwork.getMaterialDescription();
            flagMap.put(key,value);
            //如果包含key
            if (agriculturalDistributionNetworkMap.containsKey(key)) {
                agriculturalDistributionNetworkMap.put(key,agriculturalDistributionNetworkMap.get(key).
                        add(new BigDecimal(agriculturalDistributionNetwork.getDemandQuantity())));
            }else{
                //不包含 把key和需求数量添加
                agriculturalDistributionNetworkMap.
                        put(key,new BigDecimal(agriculturalDistributionNetwork.getDemandQuantity()));
            }

        });
        //去重统计各个部门需求数量（流程表）
        processTrackingList.forEach(processTracking -> {
            String key = processTracking.getMaterialCode() + "-" + reportPersonMap.get(processTracking.getApplicant());
            String value= processTracking.getMaterialDescription();
            flagMap.put(key,value);
            if (processTrackingMap.containsKey(key)) {
                processTrackingMap.put(key,processTrackingMap.get(key).add(new BigDecimal(processTracking.getDemandQuantity())));
            }else{
                processTrackingMap.put(key,new BigDecimal(processTracking.getDemandQuantity()));
            }
        });
        //配农网V / 跟踪Q
        flagMap.forEach((k,v)->{
            String[] split = k.split("-");
            PlanSummary planSummary = new PlanSummary();
           //物料编码
            planSummary.setMaterialCoding(split[0]);
           //查找部门
            String dictLabels = DictUtils.getDictLabel(split[1], "report_department", "");
           //把部门赋值给planSummary
            planSummary.setProjectDepartment(dictLabels);
            //如果两个表有相同的物料编码部门，
            if(processTrackingMap.containsKey(k)&&agriculturalDistributionNetworkMap.containsKey(k)){
                //赋值 上报数量（物料编码，部门）
                planSummary.setAmountOfDemand(processTrackingMap.get(k).toString());
                planSummary.setNumberOfReports(agriculturalDistributionNetworkMap.get(k).toString());
                planSummary.setDescriptionOfMaterials(v);
                //如果流程表有而配农网没有
            }else if(processTrackingMap.containsKey(k)&&!agriculturalDistributionNetworkMap.containsKey(k)){
                //赋值
                planSummary.setAmountOfDemand(processTrackingMap.get(k).toString());
                planSummary.setNumberOfReports("0");
                planSummary.setDescriptionOfMaterials(v);
                //流程表没有配农网有
            }else if(!processTrackingMap.containsKey(k)&&agriculturalDistributionNetworkMap.containsKey(k)){
                //赋值
                planSummary.setAmountOfDemand("0");
                //上报数量（物料编码，部门）
                planSummary.setNumberOfReports(agriculturalDistributionNetworkMap.get(k).toString());
                planSummary.setDescriptionOfMaterials(v);
            }
            //如果需求数量不是空并且不等于0
            if(StringUtils.isNotBlank(planSummary.getAmountOfDemand())&&!"0".equals(planSummary.getAmountOfDemand())){
                //计算 转BigDecimal  V / Q
                planSummary.setProgressOfImplementation((new BigDecimal(planSummary.getNumberOfReports()).
                        divide(new BigDecimal(planSummary.getAmountOfDemand()),1,BigDecimal.ROUND_HALF_DOWN)) + "%");

            }else{
                planSummary.setProgressOfImplementation("未上报需求");
            }
            planSummaryList.add(planSummary);
        });
        return planSummaryList;

    }
        //申请人
    private String getPerson(Map<String,String> map,String department,List<AgriculturalDistributionNetwork> agriculturalDistributionNetworkList,String requiredMaterialCode){
        List<String> person = new ArrayList<>();
        AtomicReference<String> name = new AtomicReference<>("");
        map.forEach((k,v)->{
            if(v.equals(department)){
                person.add(k);
            }
        });
        agriculturalDistributionNetworkList.forEach(l->{
            if(l.getRequiredMaterialCode().equals(requiredMaterialCode)){
                name.set(l.getPlanSubmitter());
            }
        });
        return name.get();
    }

    /**
     * 查询数据库数据获取对应的部门和部门下对应的人
     * @return
     */
    private Map<String,String> getPerson(){
        Map<String,String> map = new HashMap<>();
        List<ReportPerson> departmentGroupByPerson = reportPersonMapper.findDepartmentGroupByPerson();
        departmentGroupByPerson.forEach(person->{
            map.put(person.getReportPerson(),person.getReportDepartment());
        });
        return map;
    }

}
