<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>

<html>
<head>
	<title>联合审图</title>
	<meta name="decorator" content="ani"/>
	<%@ include file="/webpage/include/bootstraptable.jsp"%>
	<%@ include file="/webpage/include/treeview.jsp" %>
	<%@ include file="drawingReview.js"%>
	<script type="text/javascript">

		$(document).ready(function() {
			$('#disclosureFinishDate').datetimepicker({
				format: "YYYY-MM-DD"
			});

			$("#agree").click(function () {
				jp.prompt("通过", function (message) {
					jp.post("${ctx}/cg/reservemanagementcenter/process/actDrawingReview",
						{
							"taskId": "${reserveProcess.act.taskId}",
							"taskName": "${reserveProcess.act.taskName}",
							"taskDefKey": "${reserveProcess.act.taskDefKey}",
							"procInsId": "${reserveProcess.act.procInsId}",
							"procDefId": "${reserveProcess.act.procDefId}",
							"flag": "yes",
							"comment": window.encodeURI(message)
						},
						function (data) {
							if (data.success) {
								jp.success(data.msg);
								jp.go("${ctx}/act/task/todo");
							} else {
								jp.error(data.msg);
							}
						}
				);
				})
			});
			$("#disagree").click(function () {
				jp.prompt("不通过", function (message) {
					jp.post("${ctx}/cg/reservemanagementcenter/process/actDrawingReview",
						{
							"taskId": "${reserveProcess.act.taskId}",
							"taskName": "${reserveProcess.act.taskName}",
							"taskDefKey": "${reserveProcess.act.taskDefKey}",
							"procInsId": "${reserveProcess.act.procInsId}",
							"procDefId": "${reserveProcess.act.procDefId}",
							"flag": "disagree",
							"comment": window.encodeURI(message)
						},
						function (data) {
							if (data.success) {
								jp.success(data.msg);
								jp.go("${ctx}/act/task/todo")
							}
						}
					)
				})
			});
			$("#cancel").click(function () {
				jp.prompt("取消", function (message) {
					jp.post("${ctx}/cg/reservemanagementcenter/process/actDrawingReview",
							{
								"taskId": "${reserveProcess.act.taskId}",
								"taskName": "${reserveProcess.act.taskName}",
								"taskDefKey": "${reserveProcess.act.taskDefKey}",
								"procInsId": "${reserveProcess.act.procInsId}",
								"procDefId": "${reserveProcess.act.procDefId}",
								"flag": "cancel",
								"comment": window.encodeURI(message)
							},
							function (data) {
								if (data.success) {
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							}
					)
				})
			});
			$("#pending").click(function () {
				jp.prompt("待定", function (message) {
					jp.post("${ctx}/cg/reservemanagementcenter/process/actDrawingReview",
							{
								"taskId": "${reserveProcess.act.taskId}",
								"taskName": "${reserveProcess.act.taskName}",
								"taskDefKey": "${reserveProcess.act.taskDefKey}",
								"procInsId": "${reserveProcess.act.procInsId}",
								"procDefId": "${reserveProcess.act.procDefId}",
								"flag": "pending",
								"comment": window.encodeURI(message)
							},
							function (data) {
								if (data.success) {
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							}
					)
				})
			});

		});
	</script>
</head>
<body class="bg-white">
	<div class="wrapper wrapper-content">
		<div class="row">
			<div class="col-md-12">
				<div class="panel panel-primary">
					<div class="panel-heading">
						<h3 class="panel-title">
							<h3 class="panel-title">联合审图</h3>
						</h3>
					</div>
					<div class="panel-body">
						<form:form id="inputForm" modelAttribute="reserveProcess" class="form-horizontal">
							<form:hidden path="id"/>
							<form:hidden path="act.taskId"/>
							<form:hidden path="act.taskName"/>
							<form:hidden path="act.taskDefKey"/>
							<form:hidden path="act.procInsId"/>
							<form:hidden path="act.procDefId"/>
							<form:hidden id="flag" path="act.flag"/>
							<table class="table table-bordered">
								<tbody>
								<tr>
									<td colspan="4" class="width-15 active"><label class="">储备项目基本信息：</label></td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目年份：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.projectYear" htmlEscape="false" readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目性质：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.projectNature" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">需求单位：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.demandUnit" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">区域：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.district" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目分组：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.projectGroup" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">储备批次：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.reserveBatches" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">供电区域：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.blockSupply" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">网格编号：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.gridNumber" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">单元格编号：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.cellNumber" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目储备编号：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.projectReserveId" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">项目储备编号：</label></td>
									<td class="width-35">
										<form:input path="projectReserveId" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">项目名称：</label></td>
									<td class="width-35">
										<form:input path="projectName" htmlEscape="false"  readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">建设必要性及内容：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.constructionNecessityAndContent" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">变电站名称：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.substationName" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">线路名称：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.circuitName" htmlEscape="false"    readonly="true"  class="form-control"/>
									</td>
									<td class="width-15 active"><label class="">网架项目划分：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.netRackProjectDivide" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">需求类型：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.requirementType" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
									<td class="width-15 active"><label class="">费用估算：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.costEstimate" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
								</tr>
								<tr>
									<td class="width-15 active"><label class="">备注：</label></td>
									<td class="width-35">
										<form:input path="reserveSummary.basicRemarks" htmlEscape="false" readonly="true"    class="form-control number money"/>
									</td>
								</tr>
								<tr>
									<td colspan="4" class="width-15 active"><label class="">设计资料：</label></td>
								</tr>
								</tbody>
							</table>
						</form:form>
						<table id="testPicTable"   data-toolbar="#toolbar"></table>
						<div id="toolbar">
							<button id="export" class="btn btn-warning">
								<i class="fa fa-file-excel-o"></i> 导出甲供材清册
							</button>
						</div>
						<table id="dataTable"   data-toolbar="#toolbar"></table>
						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="通过"/>&nbsp;
									<input id="disagree" class="btn  btn-danger btn-lg btn-parsley" type="submit" value="不通过"/>
									<input id="cancel" class="btn  btn-danger btn-lg btn-parsley" type="submit" value="取消"/>
									<input id="pending" class="btn  btn-danger btn-lg btn-parsley" type="submit" value="待定"/>
								</div>
							</div>
						</div>

						<c:if test="${not empty reserveProcess.id}">
							<act:flowChart procInsId="${reserveProcess.act.procInsId}"/>
							<act:histoicFlow procInsId="${reserveProcess.act.procInsId}" />
						</c:if>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>
</html>
